oracle 数据库安装环境,要求大汇总

mos 专栏收录该内容
10 篇文章 0 订阅

单击此项可添加到收藏夹转到底部转到底部

2014-7-10BULLETIN
为此文档评级通过电子邮件发送此文档的链接在新窗口中打开文档可打印页
Jump to: 
For 12c requirements refer to Note 1587357.1 
AIX 
HP-UX (PA-RISC and Itanium) 
Linux x86 
Linux x86-64 
Linux Itanium 
Linux on Power 
Linux on zSeries 
Mac OS X (PowerPC and x86-64) 
Oracle Solaris (SPARC and x86-64) 
Tru64 
Pre-Installation Scripts 
OPatch 
Related Documents 
OS Specific Commands 
Change History 
Note 43208.1 Certified Compilers 

Browse The Contents of Linux Brands ISOs

PURPOSE 
--------------

This bulletin is produced to provide a central source for all the primary installation settings for the various mainstream unix platforms, e.g. IBM AIX, HP-UX, Oracle Solaris, Tru64, and Linux. 

Careful comparison of the Installation Guide and the applicable release note for an OS/Oracle version has been done to ensure that this bulletin provides the most complete source of data in hopes that it will save time for each researching analyst. 

Keeping the OS kernel current helps stabilize the system. Production systems should never run an out dated OS kernel version. As a best practice, Oracle recommends the OS kernel version be maintained to within 6 months of current. Please contact the OS vendor directly for more information, risk exposure, and patching recommendations. 

NOTE: Pre-compilers requirements are no longer addressed in this note, for a single source note 
that addresses Pre-compiler/Compiler requirements, please refer to: 
Note 43208.1 Certified Compilers

SCOPE & APPLICATION 
-------------------------------------

This focus of this bulletin is on assisting the Oracle Unix installation community in resolving installation issues of the RDBMS. 
This bulletin places in one document all the pertinent information related to installations that has been extracted from three different documents (Installation Guides, Release Notes, and SRNs)

DISCLAIMER 
------------

Whenever a contradiction arises between this document and My Oracle Support (MOS)-Certification, My Oracle Support (MOS)-Certification is the Certification authority. 
Users of this bulletin are obligated to provide real-time corrections/updates in the form of My Oracle Support (MOS) "Feedback" submissions to ensure the accuracy and up-to-date status of this bulletin.

PRE-INSTALLATION SCRIPTS 
-------------------------------------

A decommissioned, non-supported script is still available to verify that the system has been configured correctly according to the 8.0.5 through 9.2 Installation Guides, please refer to the following My Oracle Support (MOS) Note for details: 
Note 189256.1 "UNIX: Script to Verify Installation Requirements for Oracle 8.0.5 to 9.2 versions of RDBMS"

The Remote Diagnostic Agent RDA (see Note 314422.1 for more info on RDA) has the capability to run a Pre-Installation check on several 10.1 and 10.2 Unix/Linux Platforms. 
Please refer to Note 250262.1 for specifics on how to run these Pre-Install scripts on your server.

OPatch FAQ 
-------------------------------------

To apply one-off patches and Critical Patch Updates (CPUs) or Patch Set Update (PSU) on 9.2 and higer RDBMS versions you have to use the patching utility, OPatch. 
Oracle Support requests you always use the latest version before applying any patches to your server, to get the latest version, 
For 9.2 and 10.1 download 
Patch 6880880 
For 10.2, 11.1 & 11.2 download Patch 6880880 
Master Note For OPatch Note 293369.1 

Oracle Version11.211.110.210.19.2.09.0.18.1.78.1.68.1.58.0.68.0.5
AIX OS
(32- and 64-bit stands for Oracle not OS)
AIX 5L V5.3 TL 09 SP1 ("5300-09-01") or higher, 64 bit kernel (Part Number E10854-01)

AIX 6.1 TL 02 SP1 ("6100-02-01") or higher, 64-bit kernel

AIX 7.1 TL 00 SP1 ("7100-00-01") or higher, 64-bit kernel
AIX 6.1L, AIX 5L version 5.3, TL 05, Service Pack 06 (Part Number B32076-03), AIX 6L version 6.1, TL 00, Service Pack 04 or later (Part Number B32076-03)5.2 ML4 or higher, 5.3 ML2 or higher, 6.1

For AIX 6.1, only 10.2.0.3 or higher are certified

Customers running on 10.2.0.4 or higher and using CRS require AIX 5.3 TL5 (5300-05) or higher -- see Note:739371.1

5.2 ML1 or higher, 5.3o 4.3.3 (64bit only) 
o 5.1, 5.2, 5.3 (5L)(64bit only)
4.3.3 (64bit)o 4.3.2, 4.3.3 (32bit) 
o 5.1, 5.2 (5L) (32bit) [patch 2896876 is required if kernel is running in 64bit mode] 
o 4.3.2, 4.3.3 (64bit)
4.3.2, 4.3.3 (32 or 64bit)o 4.2.1 , 4.3.0, 4.3.1, 4.3.2, 4.3.3 (32bit) 
o 4.3.2, 4.3.3 (64bit)
o 4.2.1, 4.3.2, 4.3.3 (32bit) 
o 4.3.2, 4.3.3 (64bit)
o 4.1.4, 4.1.5, 4.2.1, 4.3.2, 4.3.3 (32bit) 
o 4.3.2, 4.3.3 (64bit)
AIX Disk Space6.40G Database 
1.55G Software
6.45G Database 
1.6G Software
1.2G Database 
3G Software 
1G Companion 
150M-1.9G Client
1.2G Database 
3G Software 
1G Companion 
150M-1.9G Client
4.5G4.7G1.58G800Mb800Mb700Mb700Mb
AIX RAMDatabase: minimum 1GB, recommended 2GB

Grid Infrastructure for standalone server: minimum 1.5GB (plus another 1GB if installing Database too), recommended 4GB

1GB1GB512Mb 
256Mb(Client/Compan)
512Mb512Mb256Mb128Mb128Mb64Mb or
128Mb / ConText
32Mb or
128Mb / ConText
AIX swapBetween 1GB and 2GB then 1.5 times RAM 
Between 2GB and 16 GB then match RAM
More than 16 GB then 16GB RAM
If RAM = 1024MB to 2048Mb 
then 1.5 times RAM 
elseif RAM > 2048MB and < 8192MB 
then match RAM 
else RAM > 8192MB 
then .75 times RAM
If RAM = 1024MB to 2048Mb 
then 1.5 times RAM 
elseif RAM > 2048MB and < 8192MB 
then match RAM 
else RAM > 8192MB 
then .75 times RAM
1Gb or match RAM 
512Mb(Client/Compan)
1Gb or match RAM400Mb400Mb400Mb256Mb2*RAM2*RAM
AIX tmp1GB240Mb400Mb400Mb400Mb400Mb400Mb400Mb50Mb20Mb20Mb
AIX JDK & JREIBM JDK 1.6.0.00 (64 BIT)IBM JDK 1.5.0.06 (IA64 - mixed mode) is installedIBM JDK 1.4.2 (32bit) is installedIBM JDK 1.4.1.2 (32bit) is installedJDK 1.3.1-build 20020316 & 1.1.8-Build 20020313JDK 1.2.2.04 or JDK 1.2.2 & 1.1.8JDK 1.1.8 / 1.2.2 & 1.1.8.31.1.8.3?n/an/a
AIX Patches/
Packages

versions in parens mean if OS is later than the listed version, the APAR is built into the later OS version and need not be applied. IMPORTANT: Review Note 390656.1 & apply AIX & Oracle Patch

AIX 5.3 required packages: 
bos.adt.base 
bos.adt.lib 
bos.adt.libm 
bos.perf.libperfstat 5.3.9.0 or later 
bos.perf.perfstat 
bos.perf.proctools 
rsct.basic.rte (For RAC configurations only) 
rsct.compat.clients.rte (For RAC configurations only) 
xlC.aix50.rte:10.1.0.0 or later 
gpfs.base 3.2.1.8 or later (Only for RAC systems that will use GPFS cluster filesystems)

AIX 6.1 required packages: 
bos.adt.base 
bos.adt.lib 
bos.adt.libm 
bos.perf.libperfstat 6.1.2.1 or later 
bos.perf.perfstat 
bos.perf.proctools 
rsct.basic.rte (For RAC configurations only) 
rsct.compat.clients.rte (For RAC configurations only) 
xlC.aix61.rte:10.1.0.0 or later 
gpfs.base 3.2.1.8 or later (Only for RAC systems that will use GPFS cluster filesystems)

AIX 7.1 required packages: 
bos.adt.base 
bos.adt.lib 
bos.adt.libm 
bos.perf.libperfstat 
bos.perf.perfstat 
bos.perf.proctools 
xlC.aix61.rte.10.1.0.0 or later 
xlC.rte.10.1.0.0 or later 
gpfs.base 3.3.0.11 or later (Only for RAC systems that will use GPFS cluster filesystems)

Authorized Problem Analysis Reports (APARs) for AIX 5.3: 
IZ42940 
IZ49516 
IZ52331 
See Note:1379753.1 for other AIX 5.3 patches that may be required

APARs for AIX 6.1: 
IZ41855 
IZ51456 
IZ52319 
IZ97457 
IZ89165 
See Note:1264074.1 andNote:1379753.1 for other AIX 6.1 patches that may be required

APARs for AIX 7.1: 
IZ87216 
IZ87564 
IZ89165 
IZ97035 
See Note:1264074.1 andNote:1379753.1 for other AIX 7.1 patches that may be required

Refer to the 11.2 AIX Install Guide.Part Number E24332-01

6.1 / 5.3 ML5 required packages: 
bos.adt.base 
bos.adt.lib 
bos.adt.libm 
bos.perf.libperfstat 
bos.perf.perfstat 
bos.perf.proctools 
xlC.aix50.rte:8.0.0.7 or later (AIX 5.3) 
xlC.rte:8.0.0.7 or later (AIX 5.3) 
xlC.aix61.rte:9.0.0.1 or later (AIX 6.1) 
xlC.rte:9.0.0.1 or later (AIX 6.1) 
rsct.basic.rte (For RAC configurations only) 
rsct.compat.clients.rte (For RAC configurations only)

5.3 ML5 required patches: 
IY89080 
IY92037 
IY94343 
IZ01060 or efix for IZ01060 
IZ03260 or efix for IZ03260 (IZ03260 for ML6, IZ03475 for ML7) to address ORA-27061 
IY84780 
IY68989 

POWER7 Based Hardware 
Patch 9216848 (Note 1065579.1)

5.2 ML4 required patches: 
IY63133 
IY64978 
IY63366 
IY64691 
IY64737 
IY65001 
IY94343 Note 422031.1 LV Block Corruption

5.3 ML2 required patches: 
IY58143 
IY59386 
IY60930 
IY66513 
IY70159 
IY68989 
IY94343 Note 422031.1 LV Block Corruption 
Patch 5496862 is required (See Note 390656.1) if running on AIX 5.3 ML5 
IY84780 
IY68989

Important: Please see Note 282036.1 for the latest patching requirements for 5.3 and 5.2

Required OS packages: 
bos.adt.base 
bos.adt.lib 
bos.adt.libm 
bos.perf.perfstat 
bos.perf.libperfstat 
bos.perf.proctools

6.1 specifics: 
Please download and run an updated version of rootpre.script before proceeding with the Oracle Database install. Internal bug 6613550. 6718715can be downloaded from My Oracle Support (MOS). 
Refer to Note 282036.1 for updates on any required patches for AIX 6.1 

Excessive Paging on IBM AIX POWER Systems Refer Note 1503072.1

5.2 required patches: 
IY43980 
IY44810 
IY45462 
IY45707 
IY46214 
IY46605 
IY48525 
IY51801 
IY59082 Refer to Note 285158.1 
IY94343 Note 422031.1 LV Block Corruption

5.3 required patches: Refer to Note 282036.1 
IY58143 
IY59386 
IY60930 
IY94343 Note 422031.1 LV Block Corruption
Patch 5496862 is required (See Note 390656.1) if running on AIX 5.3 ML5. 
IY84780 
IY68989

Important: Please see Note 282036.1 for the latest patching requirements for 5.3 and 5.2

Required OS packages: 
bos.adt.base 
bos.adt.lib 
bos.adt.libm 
bos.perf.perfstat 
bos.perf.libperfstat 
bos.perf.proctools 
X11.motif.lib (Spatial only)

Async IO Hang, refer to Note 233659.1 for applicable patch for 4.3.3, 5.1, or 5.2

4.3.3 required patches/packages: 
IY30927(4.3.3.0.10) 
IY24568(4.3.3.0.09) 
IY25282(4.3.3.0.09) 
IY27614(4.3.3.0.09) 
IY30151(4.3.3.0.10) 
Maint Level 9 or higher (4.3.3.0.09)

bos.adt.base 
bos.adt.lib 
bos.adt.libm 
bos.perf.perfstat

5.1(5L) required patches/packages: 
IY26778(5100-01) 
IY28766(5100-01) 
IY28949(5100-01) 
IY29965(5100-02) 
IY30150(5100-02) 
IY59082 refer to Note 285158.1 
Maint Level 1 and IY22854

bos.adt.base 
bos.adt.lib 
bos.adt.libm 
bos.perf.perfstat 
bos.perf.libperfstat 
Use the -ignoreSysPrereqs option with runInstaller to ignore the system pre-requisite test (Note 293750.1)

Maint Level 7 or higher (4.3.3.0.07)

bos.adt.base 
bos.adt.lib 
bos.adt.libm 
bos.perf.perfstat 
X11.apps.rte 
X11.apps.xterm 
X11.base.rte 
X11.motif.lib 
X11.motif.mwm

IY01050 (4.3.3.0.03) 
IY07276 (4.3.3.0.02) 
IY05995 (4.3.3.01)
IY02407 (4.3.2.02)
IX89087 (4.3.2.0.02) 
IY03412 (4.3.2.0.02) 
IX85104 (4.3.2.0.01) 
IX87313 (4.3.2.0.01) 
IX87382 (4.3.2.0.01) 
IX89552 (4.3.2.0.01) 
IX81863 (4.3.1) 
IX72696 (4.3.0)
IY01050 (4.3.3.0.03) 
IY07276 (4.3.3.0.02) 
IY05995 (4.3.3.01) 
IY07018 (4.3.3)
IY02407 (4.3.2.02) 
IX89087 (4.3.2.0.02) 
IY03412 (4.3.2.0.02) 
IX85104 (4.3.2.0.01) 
IX87313 (4.3.2.0.01) 
IX87382 (4.3.2.0.01) 
IX89552 (4.3.2.0.01) 
IX81863 (4.3.1)
IX72696 (4.3.0)
4.2 related required APARs 
IX62429 (4.2.0) 
IX67174 (4.2.0) 
IX67978 (4.2.1) 
IX68932 (4.2.1) 
IX70737 (4.2.1) 
IX78933 (4.2.1.0.03)
IX81957 (4.2.1.0.03)
IX86229 (4.2.1.0.05)

4.3 related required APARs 
IX71948 (4.3.0) 
IX79690 (4.3.0) 
IX81863 (4.3.1)

bos.adt.base, bos.adt.libm 
must be installed

4.2 related required APARs
IX62429 (4.2.0) 
IX67174 (4.2.0) 
IX67978 (4.2.1) 
IX68932 (4.2.1) 
IX70737 (4.2.1) 
IX78933 (4.2.1.0.03) 
IX81957 (4.2.1.0.03) 
IX86229 (4.2.1.0.05) 
IX88178 (4.2.1.0.06)

4.3 related required APARs
IX71948 (4.3.0) 
IX79690 (4.3.0) 
IX81863 (4.3.1) 
IX87313 (4.3.2.0.01) 
IX87382 (4.3.2.0.01) 
IX89087 (4.3.2.0.02)

bos.adt.base, bos.adt.libm 
must be installed

4.1 related required APARs
IX54124 (4.1.4) 
IX55203 (4.1.5.0.01) 
IX62330 (4.1.5) 
IX58455 (4.1.4) 
IX61237 (4.1.4) 
IX67074 (4.1.5) 
IX61933 (4.1.5) 
IX70194 (4.1.5)

4.2 related required APARs
IX62429 (4.2.0) 
IX67174 (4.2.0) 
IX67978 (4.2.1) 
IX68932 (4.2.1) 
IX70737 (4.2.1) 
If running 4.2 then need bos.rte.libc version 4.2.0.5

4.3 related required APARs
IX71948 (4.3.0)

AIX Kernel Settingsset AIXTHREAD_SCOPE=S in the environment: 
export AIXTHREAD_SCOPE=S

NOTE: This is only necessary on AIX5L. A change was introduced in AIX 6.1 which means that the variable does not need to be set. See section 5.5 (page 217) of theIBM AIX Version 6.1 Differences Guide

From Section 2.5 of the 11.2 Install Guide for AIX

2.5 Verifying UDP and TCP Kernel Parameters 

Use NDD to ensure that the kernel TCP/IP ephemeral port range is broad enough to provide enough ephemeral ports for the anticipated server workload. Ensure that the lower range is set to at least 9000 or higher, to avoid Well Known ports, and to avoid ports in the Registered Ports range commonly used by Oracle and other server ports. Set the port range high enough to avoid reserved ports for any applications you may intend to use. If the lower value of the range you have is greater than 9000, and the range is large enough for your anticipated workload, then you can ignore OUI warnings regarding the ephemeral port range. 

Use the following command to check your current range for ephemeral ports: 

# /usr/sbin/no -a | fgrep ephemeral 
tcp_ephemeral_low = 32768 
tcp_ephemeral_high = 65535 
udp_ephemeral_low = 32768 
udp_ephemeral_high = 65535 

In the preceding example, the TCP and UDP ephemeral ports are set to the default range (32768-65536). 

If you expect your workload to require a high number of ephemeral ports, such as high node counts or heavy use of Parallel Query, then update the UDP and TCP ephemeral port range to a broader range. For example: 

# /usr/sbin/no -p -o tcp_ephemeral_low=9000 -o tcp_ephemeral_high=65500 
# /usr/sbin/no -p -o udp_ephemeral_low=9000 -o udp_ephemeral_high=65500

From Section 2.8.2 of the 11.2 Install Guide for AIX

2.8.2 Configure System Configuration Parameters 

Parameter Recommended Value 
maxuprocs 16384 
ncargs 128 

Also see Note:1307804.1

set AIXTHREAD_SCOPE=S in the environment: 
export AIXTHREAD_SCOPE=S

NOTE: This is only necessary on AIX5L. A change was introduced in AIX 6.1 which means that the variable does not need to be set. See section 5.5 (page 217) of theIBM AIX Version 6.1 Differences Guide

set AIXTHREAD_SCOPE=S in the environment: 
export AIXTHREAD_SCOPE=S

NOTE: This is only necessary on AIX5L. A change was introduced in AIX 6.1 which means that the variable does not need to be set. See section 5.5 (page 217) of the IBM AIX Version 6.1 Differences Guide

NOTE: It is not mandatory to set this variable if you are installing 10.2 client.

set AIXTHREAD_SCOPE=S in the environment:
export AIXTHREAD_SCOPE=S
set AIXTHREAD_SCOPE=S in the environment: 
export AIXTHREAD_SCOPE=S
N/AN/AN/ALINK_CNTRL = L_PTHREADS_D7 (if using 4.3)LINK_CNTRL = L_PTHREADS_D7 (if using 4.3)LINK_CNTRL = L_PTHREADS_D7 (if using 4.3)
Oracle Version11.211.110.210.19.2.09.0.18.1.78.1.68.1.58.0.68.0.5
HP OS
(32- and 64-bit stands for Oracle not OS)
HP-UX 11i V3 patch Bundle Sep/ 2008 (B.11.31.0809.326a) or higher (Part Number E10851-01)11.23 and 11.31 (Itanium,PA-RISC)11.11 (PA-RISC) (64bit) 
11.23 (PA-RISC) (64bit) 
11.23, 11.31 (PA-RISC / Itanium / IPF)
11.11 (PA-RISC) (64bit) 
11.23 (PA-RISC) (64bit) 
11.23, 11.31 (IA64 - Itanium) 
Note: for all Itanium systems using "Montecito" processors, refer tonote:400227.1 for special installation instructions
11.0 (64bit) 
11.11 (64bit) 
11.23 (PA-RISC) (64bit) 
11.31 (PA-RISC) (64bit)(10/30) 
11.22, 11.23, 11.31 (IA64 - Itanium) 
Note: for all Itanium systems using "Montecito" processors, refer tonote:400227.1 for special installation instructions
11.0 (64bit) 
11.11 (64bit)
11.0, 11.11(11i) (32bit/64bit)11.0, 11.11(11i) (32bit/64bit)11.0, 11.11(11i) (32bit/64bit)10.20 (32bit) 
11.0, 11.11(11i) (32bit/64bit)
10.20 (32bit) 
11.0 (32 or 64)
HP Disk Space1.7G database 
6.9 G Software
1.7G Database 
6.9G Software
1.2G Database 
2.5G Software 
1G Companion 
150M-1.5G Client
1.2G Database 
2.5G Software 
1G Companion 
150M-1.5G Client
4.5G3.5G1.5G910Mb900Mb900Mb900Mb
HP RAMDatabase: minimum 1GB, recommended 2GB

Grid Infrastructure for standalone server: minimum 1.5GB (plus another 1GB if installing Database too), recommended 4GB

1GB1GB512Mb 
256Mb(Client/Compan)
512Mb256Mb256Mb128Mb128Mb64Mb or 
128Mb / 
ConText
32Mb or 
128Mb / 
ConText
HP swapBetween 4 GB and 8 GB then 2 times RAM. 
Between 8 GB and 32 GB then 1.5 times RAM. 
More than 32 GB then 32 GB RAM.
If RAM = 1GB to 2GB 
then 1.5 times RAM 
elseif RAM > 2GB and < 8GB 
then match RAM 
else RAM > 8GB 
then .75 times RAM
If RAM = 1024MB to 2048Mb 
then 1.5 times RAM 
elseif RAM > 2048MB and < 8192MB 
then match RAM 
else RAM > 8192MB 
then .75 times RAM
1Gb or match RAM 
512Mb(Client/Compan)
1Gb or match RAM2*RAM2*RAM2*RAM3*RAM3*RAM3*RAM
HP tmp1GB400Mb400Mb400Mb400Mb400Mb75Mb?75Mb50Mb50Mb
HP jdk & JREHPUX JDK 6.0.05, HPUX JDK 5.0.15

NOTE: The JDK version included with 11.2.0.3 on HP-UX Itanium (1.5.0.23) is not compatible with Itanium 2 model 9310 processors. Please refer to the statement at the end of bothNote:404843.1 and Note:552358.1. To workaround the issue, download JDK 1.5.0.24 or higher and use the "./runInstaller -jreLoc ..." syntax to start the 11.2.0.3 installation.

Java 1.5.0.0.6 is installedJava SDK 1.4.2.00 is installedJava SDK 1.4.2.00 is installedJDK 1.3.1.02JDK 1.2.2.07 & 1.1.8JDK 1.2.2 & 1.1.8.031.1.8.101.1.7n/an/a
HP Patches/ 
Packages
 

"s/b" indicates superseded by

See Note 43507.1for other applicable patches.

For HP-UX 11i V3 (11.31): 
PHCO_40381 11.31 Disk Owner Patch 
PHCO_41479 11.31 (fixes an 11.2.0.2 ASM disk discovery issue) 
PHKL_38038 VM patch - hot patching/Core file creation directory 
PHKL_38938 11.31 SCSI cumulative I/O patch 
PHKL_39351 Scheduler patch : post wait hang 
PHSS_36354 11.31 assembler patch 
PHSS_37042 11.31 hppac (packed decimal) 
PHSS_37959 Libcl patch for alternate stack issue fix (QXCR1000818011) 
PHSS_39094 11.31 linker + fdp cumulative patch 
PHSS_39100 11.31 Math Library Cumulative Patch 
PHSS_39102 11.31 Integrity Unwind Library 
PHSS_38141 11.31 aC++ Runtime 
Pro*C/C++, Oracle Call Interface, Oracle C++ 
Pro*C/C++, Oracle Call Interface, Oracle C++ Call Interface, Oracle XML Developer's Kit (XDK):- 
Patch for HP-UX 11i V3 (11.31) on HP-UX Itanium:- 
PHSS_39824 - 11.31 HP C/aC++ Compiler (A.06.23) patch 
PHKL_40941 - Scheduler patch : post wait hang

For HP-UX PA-RISC and Itanium 11.23 (Mar '07 Patch bundle for HP-UX 11iV2- B.11.23.0703): 
PHSS_35979 s/b PHSS_37201 s/b PHSS_37492 s/b PHSS_38134 
PHSS_35978 s/b PHSS_36343 s/b PHSS_38140 
PHCO_35524 s/b PHCO_36744 
PHKL_35478 s/b PHKL_36319 
PHCO_36673 s/b PHCO_37228 
PHKL_35029 s/b PHKL_37121 
PHKL_37809 or later Note 580273.1

For HP-UX PA-RISC and Itanium 11.31: 
PHKL_35900 
PHKL_36248 
PHKL_36249 
PHKL_35936 s/b PHKL_36242 s/b PHKL_37185 s/b PHKL_38038 
PHKL_38397 or later. Note 580273.1

Use the -ignoreSysPrereqs option with runInstaller to ignore the system pre-requisite test

Refer to the following Web site for information about additional java patches:http://www.hp.com/products1/unix/java/patches/index.htmlThe default 64bit OS (PA-RISC and Itanium From Bug 8789180) installation does not create a few required X library symbolic links. The following symbolic links need to be created: 
(NOTE: This task is required only if the Motif 2.1 Development Environment Package ( X11MotifDevKit.MOTIF21-PRG ) is not installed ). 
cd /usr/lib 
ln -s /usr/lib/libX11.3 libX11.sl 
ln -s /usr/lib/libXIE.2 libXIE.sl 
ln -s /usr/lib/libXext.3 libXext.sl 
ln -s /usr/lib/libXhp11.3 libXhp11.sl 
ln -s /usr/lib/libXi.3 libXi.sl 
ln -s /usr/lib/libXm.4 libXm.sl 
ln -s /usr/lib/libXp.2 libXp.sl 
ln -s /usr/lib/libXt.3 libXt.sl 
ln -s /usr/lib/libXtst.2 libXtst.sl

Per HP Bug (Doc ID: KBRC00003627) 
NOTE: This bug is not applicable to 11.23 The default 64bit OS (PA-RISC and Itanium) installation does not create a few required X library symbolic links. The following symbolic links need to be created: 
(NOTE: This task is required only if the Motif 2.1 Development Environment Package ( X11MotifDevKit.MOTIF21-PRG ) is not installed ). 
cd /usr/lib 
ln -s /usr/lib/libX11.3 libX11.sl 
ln -s /usr/lib/libXIE.2 libXIE.sl 
ln -s /usr/lib/libXext.3 libXext.sl 
ln -s /usr/lib/libXhp11.3 libXhp11.sl 
ln -s /usr/lib/libXi.3 libXi.sl 
ln -s /usr/lib/libXm.4 libXm.sl 
ln -s /usr/lib/libXp.2 libXp.sl 
ln -s /usr/lib/libXt.3 libXt.sl 
ln -s /usr/lib/libXtst.2 libXtst.sl

GOLDQPK11i, December 2004 or later 
If GOLDQPK is not installed then these two patchkits need to be installed: 
GOLDAPPS11i, December 2004 or later 
GOLDBASE11i, December 2004 or later

11.11 required patches: 
o PHNE_31097 s/b PHNE_32477 s/b PHNE_33498 s/b PHNE_35418 s/b PHNE_36168 s/b PHNE_37110 
o PHSS_31221 s/b PHSS_33263 s/b PHSS_33944 s/b PHSS_33945 
For JDK, refer to HP Java for latest patches: 
o PHSS_30970 s/b PHSS_33033 s/b PHSS_35379 s/b PHSS_35385 
For PL/SQL/ProC,OCI,OCCI,XDK: 
o PHSS_32508 s/b PHSS_34411 s/b PHSS_35099 s/b PHSS_36087 
o PHSS_32509 s/b PHSS_34412 s/b PHSS_35098 s/b PHSS_36086 
o PHSS_32510 s/b PHSS_34413 s/b PHSS_35100 s/b PHSS_36088

11.23 (PA-RISC) required patches: 
o PHSS_31849 s/b PHSS_37021 s/b PHSS_37492 s/b PHSS_40537 
o PHSS_31852 s/b PHSS_35055 s/b PHSS_36343s/b PHSS_38140 
For PL/SQL/ProC,OCI,OCCI,XDK: 
o PHSS_32511 
o PHSS_32512 
o PHSS_32513 
o PHKL_37809 or later Note 580273.1

Ensure that unzip version is 5.5 or higher ($ unzip -v) [reference Note 263692.1], if not it can be downloadedhere

11.31 (PA-RISC) required patches: 
o PHKL_35900: 11.31 evacd performance, kvaddr leak panic 
o PHKL_36248: 11.31 esctl cumulative patch 
o PHKL_36249: 11.31 esdisk cumulative patch 
o PHKL_38397 or later Note 580273.1 
o PHKL_35936 s/b PHKL_36242 s/b PHKL_37185 s/b PHKL_38038: 11.31 call to read(2) or write(2) may incorrectly return -1 
o You can use HP JDK 5.0.07 with the Oracle Java Database Connectivity and Oracle Call Interface drivers. Ensure that you install the patch PHKL_35029 s/b PHKL_37121 to use JDK 5.0.07.

11.23 (Itanium) required patches: 
The following operating system patches: 
o BUNDLE11i B.11.23.0409.3: Patch Bundle for HP-UX 11i V2 
Note: You must have the August 2004 version of BUNDLE11i B.11.23.0408.1 for HP-UX 11i v2 on your system prior to updating to the HP-UX 11i v2 September 2004 or later release. 
o PHCO_32426 
o PHKL_32646 s/b PHKL_36103 
o PHKL_32632 s/b PHKL_33656 s/b PHKL_33807 s/b PHKL_38364 
o PHKL_32645 s/b PHKL_34477 s/b PHKL_37106 
o PHKL_33552 s/b PHKL_33563 s/b PHKL_36667 s/b PHKL_37653 s/b PHKL_41002
o PHSS_31850 s/b PHSS_34040 s/b PHSS_37201 s/b PHSS_37492 s/b PHSS_38134 s/b PHSS_40537 
o PHSS_31851 s/b PHSS_34043 s/b PHSS_34859 s/b PHSS_37498 s/b PHSS_38138 or PHSS_39101 s/b PHSS_40541 
o PHSS_31854 s/b PHSS_33357 s/b PHSS_34045 s/b PHSS_34445 s/b PHSS_40547
o PHSS_31855 s/b PHSS_33350 s/b PHSS_34041 s/b PHSS_35055 s/b PHSS_36343 s/b PHSS_38140 s/b PHSS_40543 
o PHSS_33275 s/b PHSS_33349 s/b PHSS_34040 s/b PHSS_37201 s/b PHSS_37492 s/b PHSS_38134 s/b PHSS_40537 
o PHSS_33276 s/b PHSS_34042 s/b PHSS_34853 s/b PHSS_36344 s/b PHSS_40539
o PHKL_37809 or later Note 580273.1

For PL/SQL native compilation and installation of Pro*C/C++, Oracle Call Interface, Oracle C++ Call Interface, or Oracle XML Developer's Kit (XDK) , the following patches are required: 
o PHSS_33278 
o PHSS_33277

The following JDK patches: 
o PHCO_31553 s/b PHCO_33675 s/b PHCO_36323 s/b PHCO_37940 s/b PHCO_39699
o PHKL_31500 
o PHSS_32213 s/b PHSS_32502 s/b PHSS_34201 s/b PHSS_37492 s/b PHSS_40537
Note: Refer to the following Web site for information about additional patches that may be required by JDK 1.4.2: 
HP Java Patches

11.31 (Itanium) required patches: 
The following operating system patches: 
o PHKL_35936 s/b PHKL_36242 s/b PHKL_37185 s/b PHKL_38449 s/b PHKL_38038
o PHKL_38397 or later Note 580273.1 

The following patches are supported on Oracle Database 10g release 2:(Part Number B25292-06) 
PHKL_35900: 11.31 evacd performance, kvaddr leak panic 
PHKL_36248: 11.31 esctl cumulative patch
PHKL_36249: 11.31 esdisk cumulative patch 
PHKL_35936: 11.31 call to read(2) or write(2) may incorrectly return -1 

Use the -ignoreSysPrereqs option with runInstaller to ignore the system pre-requisite test

Per HP Bug (Doc ID: KBRC00003627) 
NOTE: This bug is not applicable to 11.23 The default 64bit OS installation does not create a few required X library symbolic links. The following symbolic links need to be created: 
(NOTE: This task is required only if the Motif 2.1 Development Environment Package ( X11MotifDevKit.MOTIF21-PRG ) is not installed ). 
cd /usr/lib 
ln -s /usr/lib/libX11.3 libX11.sl 
ln -s /usr/lib/libXIE.2 libXIE.sl 
ln -s /usr/lib/libXext.3 libXext.sl 
ln -s /usr/lib/libXhp11.3 libXhp11.sl 
ln -s /usr/lib/libXi.3 libXi.sl 
ln -s /usr/lib/libXm.4 libXm.sl 
ln -s /usr/lib/libXp.2 libXp.sl 
ln -s /usr/lib/libXt.3 libXt.sl 
ln -s /usr/lib/libXtst.2 libXtst.sl

GOLDQPK11i, June 2003 or later 
If GOLDQPK is not installed then these two patchkits need to be installed: 
GOLDAPPS11i, June 2003 or later 
GOLDBASE11i, June 2003 or later 
Jun03GQPK11i_Aux_Patch (Does not exist, see Bug 3512068)

X11MotifDevKit (spatial only) 
o PHCO_28123 s/b PHCO_31314 s/b PHCO_32397 
o PHKL_29198 s/b PHKL_32603 
o PHNE_28476 s/b PHNE_29825 s/b PHNE_30367 s/b PHNE_31091 s/b PHNE_33729 
o PHNE_28923 s/b PHSS_30049 s/b PHNE_32396 s/b PHNE_33704 
o PHSS_28871 s/b PHSS_33033 
o PHSS_28880 s/b PHSS_32573 s/b PHSS_33263 
o PHCO_26331 s/b PHCO_27958 s/b PHCO_33205 
o PHCO_29109 s/b PHCO_29960 s/b PHCO_30544 
o PHKL_25468 s/b PHKL_30542 
o PHKL_25842 s/b PHKL_30288 s/b PHKL_34311 
o PHKL_25993 
o PHKL_25994 s/b PHKL_32061 s/b PHKL_34309 
o PHKL_25995 s/b PHKL_30541 s/b PHKL_32457 s/b PHKL_34024 
o PHKL_26468 s/b PHKL_27316 s/b PHKL_30837 
o PHKL_28489

HP-UX 11.23 (IA64) Operating System Patches
o PHSS_29658 s/b PHSS_30015 s/b PHSS_30237 
o PHSS_29660

Java SDK 1.4.2 latest patches

Ensure that unzip version is 5.5 or higher ($ unzip -v) [reference Note 263692.1], if not it can be downloadedhere

11.31 (Itanium) required patches: 
The following operating system patches: 
PHKL_35936 s/b PHKL_36242 s/b PHKL_37185 s/b PHKL_38038 
Use the -ignoreSysPrereqs option with runInstaller to ignore the system pre-requisite test

Per HP Bug (Doc ID: KBRC00003627) 
NOTE: This bug is not applicable to 11.22,11.23 The default 64bit OS installation does not create a few required X library symbolic links. The following symbolic links need to be created: 
cd /usr/lib 
ln -s /usr/lib/libX11.3 libX11.sl 
ln -s /usr/lib/libXIE.2 libXIE.sl 
ln -s /usr/lib/libXext.3 libXext.sl 
ln -s /usr/lib/libXhp11.3 libXhp11.sl 
ln -s /usr/lib/libXi.3 libXi.sl 
ln -s /usr/lib/libXm.4 libXm.sl 
ln -s /usr/lib/libXp.2 libXp.sl 
ln -s /usr/lib/libXt.3 libXt.sl 
ln -s /usr/lib/libXtst.2 libXtst.sl

HP-UX 11.0(64 bit) Operating System Patches: 
Sept 2001 Quality Pack 
o PHCO_23792 s/b PHCO_26960 
o PHCO_24148 s/b PHCO_25707 s/b PHCO_27608 s/b PHCO_28425 s/b PHCO_32448 
o PHKL_24268 s/b PHKL_27178 (has been recalled by HP may destroy logical volumes on PVGs - more info s/b PHKL_32920 
o PHKL_24729 s/b PHKL_29256 
o PHKL_25475 s/b PHKL_27510 s/b PHKL_30553 
o PHKL_25525 s/b PHKL_27364 s/b PHKL_28766 s/b PHKL_31867 
o PHNE_24715 s/b PHNE_26771 s/b PHNE_29473 s/b PHNE_32041 s/b PHNE_33395 
o PHSS_23670 s/b PHSS_26138 s/b PHSS_27858 
o PHSS_24301 s/b PHSS_26273 s/b PHSS_28433 (only needed for C++ compiler and Pro*C++) 
o PHSS_24303 s/b PHSS_26559 s/b PHSS_30965 
o PHSS_24627 s/b PHSS_26945 s/b PHSS_32574 
o PHSS_22868 (only needed for C++ compiler and Pro*C++)

Ensure that unzip version is 5.5 or higher ($ unzip -v) [reference Note 263692.1], if not it can be downloaded here

HP-UX 11i (64 Bit) Operating System Patches: 
Support Plus Bundle 'December 2002 SP-0212' or later 
JDK 1.3.1.02 
o PHCO_24402 s/b PHCO_25569 s/b PHCO_31923 
o PHCO_28427 s/b PHCO_29029 s/b PHCO_31903 s/b PHCO_33533 
o PHKL_25506 s/b PHKL_33457 
o PHNE_27144 s/b PHNE_27745 s/b PHNE_30580 (For RAC systems) 
o PHNE_28568 s/b PHNE_30378 s/b PHNE_32477 s/b PHNE_33315 
o PHSS_26263 s/b PHSS_26560 s/b PHSS_33033 
o PHSS_24638 s/b PHSS_26946 s/b PHSS_30966 s/b PHSS_33263 
o PHSS_26774 s/b PHSS_28849 s/b PHSS_30742 (For ServiceGuard 11.13 systems)

HP-UX 11.22 /11.23 (IA64) Operating System Patches: 
o PHSS_27284 s/b PHSS_28977 
o PHSS_27285 s/b PHSS_28970 
o PHSS_27286 s/b PHSS_28978 
o PHSS_27287 s/b PHSS_29652 
o PHSS_27288 s/b PHSS_28971 
o PHSS_27289 s/b PHSS_29653 
o PHSS_27290 s/b PHSS_28973 
o PHSS_27291 s/b PHSS_28969 
o PHSS_27292 s/b PHSS_29654 
o PHSS_27293 s/b PHSS_28975 
o PHKL_28465

11.31 (Itanium) required patches: 
The following operating system patches: 
PHKL_35936 s/b PHKL_36242 s/b PHKL_37185 s/b PHKL_38038 
Use the -ignoreSysPrereqs option with runInstaller to ignore the system pre-requisite test

HP-UX 11.0(64 bit) Operating System Patches: 
Dec 2000 patch bundle 
o PHCO_23092 s/b PHCO_23963 s/b PHCO_26111 
o PHCO_23770 s/b PHCO_25707 s/b PHCO_27608 
o PHCO_23919 s/b PHCO_27340
o PHKL_18543 
o PHKL_23226 s/b PHKL_27510 s/b PHKL_30553 
o PHKL_23813 s/b PHKL_25525 s/b PHKL_27364 s/b PHKL_31867 
o PHKL_23814 s/b PHKL_24729 s/b PHKL_29256 
o PHKL_23815 s/b PHKL_26337 s/b PHKL_27553 
o PHKL_23857 s/b PHKL_25525 s/b PHKL_27364 s/b PHKL_31867

HP-UX 11i (64 bit) Operating System Patches Status 
o PHCO_23094 s/b PHCO_24402
o PHCO_23772 s/b PHCO_26124 s/b PHCO_27910 
o PHSS_23441 s/b PHSS_26263
o PHNE_23502 s/b PHNE_25625 s/b PHNE_26388 s/b PHNE_28568

11.0 patches: 
o PHSS_21947 s/b PHSS_24303 s/b PHSS_26559 
o PHNE_20316 s/b PHNE_22566 s/b PHNE_25440 
o PHKL_21392 s/b PHKL_24027 
o PHKL_22145 s/b PHKL_25475 s/b PHKL_27510 s/b PHKL_30553 
o PHKL_22266 s/b PHKL_27178

DART 49, 6/00

Patch Bundle9905 
o PHCO_17556 s/b PHCO_23651 
o PHCO_17792 s/b PHCO_21187 s/b PHCO_25902 
o PHCO_18229 s/b PHCO_23963 s/b PHCO_26111 
o PHCO_19491 s/b PHCO_25707 s/b PHCO_27608 
o PHCO_19666 s/b PHCO_23792 s/b PHSS_26960 
o PHKL_14750 s/b PHKL_25475 s/b PHKL_27510 s/b PHKL_30553 
o PHKL_17038 s/b PHKL_25525 s/b PHKL_27364 s/b PHKL_31867 
o PHKL_18543 
o PHKL_19800 s/b PHKL_24027 
o PHKL_20016 
o PHKL_20079 s/b PHKL_24027 
o PHNE_19616 s/b PHNE_24100 s/b PHNE_25385 
o PHSS_14582 s/b PHSS_26320 
o PHSS_15853 s/b PHSS_23546 s/b PHSS_26566 
o PHSS_16849 s/b PHSS_25718 s/b PHSS_27469 
o PHSS_17535 s/b PHSS_25091 
o PHSS_18066 
o PHSS_18110 s/b PHSS_26273 s/b PHSS_28433 
o PHSS_18430 s/b PHSS_25199 s/b PHSS_26495 
o PHSS_18649 s/b PHSS_26320 
o PHSS_19593 s/b PHSS_25447 s/b PHSS_27230 
o PHSS_19178 s/b PHSS_25249 
o PHSS_19748 s/b PHSS_25149 s/b PHSS_26490 
o PHSS_19866 s/b PHSS_24303 s/b PHSS_26559 
o PHSS_20544 s/b PHSS_26138 s/b PHSS_27858 
o PHSS_20014 s/b PHSS_24303 s/b PHSS_26559 
o PHSS_21180
PHKL_14750 s/b PHKL_25475 s/b PHKL_27510 s/b PHKL_30553 
o PHKL_17709 s/b PHKL_23792 s/b PHKL_26960 
o PHKL_17869 s/b PHKL_18543 
o PHNE_17446 s/b PHNE_21767 s/b PHNE_26771 s/b PHNE_29473
32/64bit 11.0 
o PHNE_15995 s/b PHNE_21767 s/b PHNE_26771 s/b PHNE_29473
o PHNE_16283 s/b PHNE_21767 s/b PHNE_26771 s/b PHNE_29473

64bit 11.0 
o PHSS_15316 s/b PHSS_24303 s/b PHSS_26559
o PHSS_16404 s/b PHSS_24303 s/b PHSS_26559

32/64bit 11.0 
o PHNE_15995 s/b PHNE_21767 s/b PHNE_26771 s/b PHNE_29473
o PHNE_16283 s/b PHNE_21767 s/b PHNE_26771 s/b PHNE_29473

64bit 11.0 
o PHSS_15316 s/b PHSS_24303 s/b PHSS_26559
o PHSS_16404 s/b PHSS_24303 s/b PHSS_26559

HP Kernel SettingsRefer to the 11GR2 HP-UX Install Guide for steps to do this. Section 2.8 Configuring Kernel Parameters on HP-UX Systems.Part Number E24336-02.Important: For HP 9000/700 workstations Only, see Note 467166.1
set the following before starting the OUI,DBCA, or DBUA:
$ export JAVA64FLAG="-d64"

KSI_ALLOC_MAX (NPROC*8) 
EXECUTABLE_STACK=0 
MAX_THREAD_PROC 1024 
MAXDSIZ 1073741824 
MAXDSIZ_64BIT 2147483648 
MAXFILES 65536 Note:1061351.1 
MAXFILES_LIM 65536 Note:1061351.1 
MAXTSIZE_64BIT 1073741824 
MAXSSIZ 134217728 bytes 
MAXSSIZ_64BIT 1073741824 
MAXUPRC ((NPROC*9)/10)+1 Bug 6995956 
MSGMAP (MSGTQL+2) * 
MSGMNI (NPROC) 
MSGSEG 32767 * 
MSGTQL (NPROC) 
NCSIZE (NINODE+1024) 
NFILE (15*NPROC+2048) * 
NFLOCKS (NPROC) 
NINODE (8*NPROC+2048) 
NKTHREAD (((NPROC*7)/4)+16) 
NPROC 4096 
SEMMNI (NPROC) 
SEMMNS (SEMMNI*2) 
SEMMNU (NPROC - 4) 
SEMVMX 32767 
SHMMAX AvailMem 
SHMMNI 4096 
SHMSEG 512 
VPS_CEILING 64

* MSGMAP,MAXSWAPCHUNKS, NCALLOUT, SEMMAP,VX_NCSIZE,NFILE, MSGSEG are obsolete on 11.31 (Itanium and PA-RISC) and no longer required to be set.

KSI_ALLOC_MAX (NPROC*8) 
EXECUTABLE_STACK=0 
MAX_THREAD_PROC 1024 
MAXDSIZ 1073741824 bytes 
MAXDSIZ_64BIT 2147483648 bytes 
MAXFILES 65536 Note:1061351.1 
MAXFILES_LIM 65536 Note:1061351.1 
MAXSSIZ 134217728 bytes 
MAXSSIZ_64BIT 1073741824 
MAXSWAPCHUNKS 16384* 
MAXUPRC ((NPROC*9)/10)+1 Bug 6995956 
MSGMAP (MSGTQL+2) 
MSGMNI (NPROC) 
MSGSEG 32767 
MSGTQL (NPROC) (B25293-01) 
NCSIZE (NINODE+1024)* 
NFILE (15*NPROC+2048) 
NFLOCKS (NPROC) (B25293-01) 
NINODE (8*NPROC+2048) 
NKTHREAD (((NPROC*7)/4)+16) 
NPROC 4096 
SEMMAP (SEMMNI+2)* 
SEMMNI (NPROC) (B25293-01) 
SEMMNS (SEMMNI*2) 
SEMMNU (NPROC - 4) 
SEMVMX 32767 
SHMMAX AvailMem 
SHMMNI 512 
SHMSEG 120 
VPS_CEILING 64

* MAXSWAPCHUNKS, SEMMAP, and VX_NCSIZE are obsolete on 11.23 PA-RISC and IPF and no longer need to be set 
Set NCSIZE = (NINODE+1024)

11.31 (Itanium and PA-RISC)
The following 11.31 kernel parameters are obsolete: 
maxswapchunks, msgmap, ncallout, semmap, and vx_ncsize,Nfile,Msgseg

KSI_ALLOC_MAX (NPROC*8) 
MAX_THREAD_PROC 256 
MAXDSIZ 1073741824 bytes 
MAXDSIZ_64BIT 2147483648 bytes 
MAXSSIZ 134217728 bytes 
MAXSSIZ_64BIT 1073741824 
MAXSWAPCHUNKS 16384* 
MAXUPRC ((NPROC*9)/10)+1 Bug 6995956 
MSGMAP (2+MSGMNI) 
MSGMNI (NPROC) 
MSGSEG 32767 
MSGTQL (NPROC) 
NCSIZE (NINODE+VX_NCSIZE)* 
NFILE (15*NPROC+2048) 
NFLOCKS (NPROC) 
NINODE (8*NPROC+2048) 
NKTHREAD (((NPROC*7)/4)+16) 
NPROC 4096 
SEMMAP (SEMMNI+2)* 
SEMMNI (NPROC) 
SEMMNS (SEMMNI*2) 
SEMMNU (NPROC - 4) 
SEMVMX 32768 
SHMMAX AvailMem 
SHMMNI 512 
SHMSEG 120 
VPS_CEILING 64

* MAXSWAPCHUNKS, SEMMAP, and VX_NCSIZE are obsolete on 11.23 PA-RISC and IPF and no longer need to be set 
Set NCSIZE = (NINODE+1024)

11.31 (Itanium and PA-RISC)
The following 11.31 kernel parameters are obsolete: 
maxswapchunks, msgmap, ncallout, semmap,vx_ncsize,Nfile and Msgseg

KSI_ALLOC_MAX (NPROC*8) 
MAX_THREAD_PROC 256 
MAXDSIZ 1073741824 bytes 
MAXDSIZ_64BIT 2147483648 bytes 
MAXSSIZ 134217728 bytes 
MAXSSIZ_64BIT 1073741824 
MAXSWAPCHUNKS 16384* 
MAXUPRC ((NPROC*9)/10) 
MSGMAP (MSGTQL+2) 
MSGMNI (NPROC) 
MSGSEG 32767 
MSGTQL (NPROC) 
NCALLOUT (NKTHREAD+16)* 
NCSIZE ((8*NPROC+2048)+VX_NCSIZE)* 
NFILE (15*NPROC+2048) 
NFLOCKS (NPROC) 
NINODE (8*NPROC+2048) 
NKTHREAD (((NPROC*7)/4)+16) 
NPROC 4096 
SEMMAP (SEMMNI+2)* 
SEMMNI (NPROC) 
SEMMNS (SEMMNI*2) 
SEMMNU (NPROC - 4) 
SEMVMX 32768 
SHMMAX AvailMem 
SHMMIN 1 
SHMMNI 512 
SHMSEG 32 
VPS_CEILING 64

* MAXSWAPCHUNKS, SEMMAP, NCALLOUT, and VX_NCSIZE are obsolete on 11.23 PA-RISC and IPF and no longer need to be set 
Set NCSIZE = (NINODE+1024)

11.31 (Itanium and PA-RISC)
The following 11.31 kernel parameters are obsolete: 
maxswapchunks, msgmap, ncallout, semmap,vx_ncsize,Nfile and Msgseg

SHMMAX AvailMem 
SHMMIN 1 
SHMMNI 512 
SHMSEG 32 
SEMMNI 8192 
SEMMNS 16384

MAXDSIZ 
1073741824 bytes

MAXDSIZ_64BIT 
2147483648 bytes

MAXSSIZ 
134217728 bytes

MAXSSIZ_64BIT 
1073741824

SHMMAX 1GB 
SHMMIN 1 
SHMMNI 100 
SHMSEG 10 
SEMMNI 70 
SEMMNS 200

nflocks = 200 + sum of the values of init.ora parameter db_filesfor all instances of oracle onthe machine.

MAX_THREAD_PROC = 256 or more

maxdsiz 
1Gb (1073741824) 0x40000000

maxdsiz_64bit 
1.6Gb (1717986918) 66666666

maxssiz 
200mb (209715200) C800000

maxssiz_64bit 
200mb (209715200) C800000

maxtsiz 
1Gb (1073741824) 0x40000000

maxtsiz_64bit 
1Gb (1073741824) 0x40000000

SHMMAX 1GB 
SHMMIN 1 
SHMMNI 100 
SHMSEG 10 
SEMMNI 70 
SEMMNS 200 
maxdsiz and maxdsiz_64bit must be >= 128Mb
SHMMAX 1GB 
SHMMIN 1 
SHMMNI 100 
SHMSEG 10 
SEMMNI 70 
SEMMNS 200 
maxdsiz and maxdsiz_64bit must be >= 128Mb
SHMMAX 1GB 
SHMMIN 1 
SHMMNI 100 
SHMSEG 10 
SEMMNI 70 
SEMMNS 200 
maxdsiz and maxdsiz_64bit must be >= 128Mb
SHMMAX 1GB 
SHMMIN 1 
SHMMNI 100 
SHMSEG 10 
SEMMNI 70 
SEMMNS 200

maxdsiz and maxdsiz_64bit must be >= 128Mb

Oracle Version11.211.110.210.19.2.09.0.18.1.78.1.68.1.58.0.68.0.5
Oracle Solaris
(32-bit and 64-bit stands for Oracle DB, not OS)
Solaris(64bit) 10 (update 6 or higher), Solaris 11

NOTE: On Solaris 11, only 11.2.0.3 is certified (not 11.2.0.1 or 11.2.0.2)

Set the following variable before installing 11.2.0.3 on Solaris 11: 
export AWT_TOOLKIT=XToolkit

2.9 Update 7 (09/04), 2.10
  • 2.8 Update 7 (02/02), 2.9 Update 6 (04/04), 2.10 (64bit)
  • Solaris 10 on AMD64/x86_64
Solaris SPARC 2.8, 2.9 (64bit) 
o Solaris SPARC 10 (64bit) requires 10.1.0.3.0 patchset 
o Solaris x86 2.9, 10
o 2.6, 2.7, 2.8, 2.9 (32bit) 
o Solaris 10 (32bit) requires 9.2.0.4.0 patchset 
o 2.8, 2.9 (64bit) 
o Solaris 10 (64bit) requires 9.2.0.6.0 patchset
o 2.6, 2.7, 2.8, 2.9 (32bit) 
o 2.8, 2.9 (64bit)
o 2.6, 2.7, 2.8, 2.9 (32bit) 
o 2.8, 2.9 (64bit)
o 2.6, 2.7, 2.8 (32bit) 
o 2.7, 2.8 (64bit)
2.6, 2.7, 2.8 (32bit) 
o 2.7 (64bit)
2.5.1, 2.6, 2.7, 2.82.5.1, 2.6, 2.7, 2.8
Solaris Disk Space1.5 to 2G Database 
4.7G Software
1.5 to 2G Database 
4.7G Software
1.2G Database 
1.5G - 3.5G Software 
1G Companion 
150M-1G Client
1.2G Database 
1.5G Software 
1G Companion 
150M-1G Client
4.5G3.5G (32bit) 
5.7G (64bit)
1355Mb1170Mb811Mb600Mb600Mb
Solaris RAMDatabase: minimum 1GB, recommended 2GB

Grid Infrastructure for standalone server: minimum 1.5GB (plus another 1GB if installing Database too), recommended 4GB

1GB1GB512Mb 
256Mb(Client/Compan)
512Mb256Mb (32bit) 
512Mb (64bit)
128Mb128Mb128Mb64Mb or 
128Mb / 
ConText
32Mb or 
128Mb / 
ConText
Solaris swapIf RAM = 1 GB to 2 GB 
then 1.5 times RAM 
elseif RAM = 2 GB and 16 GB 
then match RAM 
else RAM > 16 GB 
then 16 GB 

Note: On Oracle Solaris, if you use non-swappable memory, such as ISM, then you should deduct the memory allocated to this space from the available RAM before calculating swap space. If you plan to install Oracle Database or Oracle RAC on systems using DISM, then available swap space must be at least equal to the sum of the SGA sizes of all instances running on the servers.
If RAM = 1024MB to 2048Mb 
then 1.5 times RAM 
elseif RAM > 2048MB and < 8192MB 
then match RAM 
else RAM > 8192MB 
then .75 times RAM
If RAM = 1024MB to 2048Mb 
then 1.5 times RAM 
elseif RAM > 2048MB and < 8192MB 
then match RAM 
else RAM > 8192MB 
then .75 times RAM
1Gb or match RAM 
512Mb(Client/Compan)
1Gb or match RAM400Mb2*RAM or 
400Mb
2*RAM or 
400Mb
2*RAM3*RAM3*RAM
Solaris tmp1GB275Mb400Mb400Mb400Mb400Mb???20Mb20Mb
Solaris JDK & JREJDK 6 Update 10 (Java SE Development Kit 1.6 u10) or JDK 5 (1.5.0_16)JDK 1.5.0_11 is installedJDK 1.4.2_01 is installed 
JDK 1.4.2_08 is installed (x86_64)
JDK 1.4.2_01 is installedJDK 1.3.1_02 & 1.1.8_12 (32bit) 1.1.8_15 (64bit)JDK 1.2.2_07 & 1.1.8_12JDK 1.2.2. & 1.1.8_101.1.8_10?n/an/a
Solaris Patches/ 
Packages

Required packages Solaris 10: 
SUNWarc 
SUNWbtool 
SUNWhea 
SUNWlibC 
SUNWlibm 
SUNWlibms 
SUNWmfrun 
SUNWsprot 
SUNWtoo 
SUNWi1of 
SUNWi1cs (ISO8859-1) 
SUNWi15cs (ISO8859-15) 
SUNWxwfnt 
SUNWcsl 

Although it is not listed in the Install Guide, the RAC root.sh script requires /usr/xpg4/bin/tr and so requires the SUNWxcu4 package. 
@ See Bug:14046807 for confirmation.

For Solaris 11 all packages are installed by default. Hence no additional packages are required (refer Installation Document). But it is suggested to make sure above packages are installed or its equivalent are installed. We can search for packages at Oracle Solaris 11 Package repository). To fix the issue reported in Bug 14046807 install XCU4 Utilities 

Note : From Solaris 11, the SUNW prefix for package names is no longer used. With the introduction of IPS, all software packages are renamed. for more information refer to Oracle Solaris 10 SVR4 and IPS Package Comparison 

Information on Solaris 11 Installation types - refer to Note 1557986.1

Important: For non-sun4u or sun4v workstations Only, seeNote 467166.1
set the following before starting the OUI,DBCA, or DBUA:
$ export JAVA64FLAG="-d64"

Required Packages: 
SUNWarc 
SUNWbtool 
SUNWhea 
SUNWi15cs 
SUNWi1cs 
SUNWi1of 
SUNWlibC 
SUNWlibm 
SUNWlibms 
SUNWmfrun 
SUNWsprot 
SUNWsprox (Not applicable to Solaris 10), 
SUNWtoo 
SUNWxwfnt 
SUNWuiu8 Note 290034.1 
SUNWulcf Note 290034.1 

Although it is not listed in the Install Guide, the RAC root.sh script requires /usr/xpg4/bin/tr and so requires the SUNWxcu4 package. 
@ See Bug:14046807 for confirmation.

Solaris 9 Reqd Patches: 
112233-11 
111722-04 
112874-39 
115675-01 (NUMA only) 
113471-08 (NUMA only) 
115675-01 (NUMA only) 
113029-07 for Fair Share Scheduler, See Note 558374.1

Solaris 10 Reqd Patches: 
127111-02 s/b 127127-11 
137111-04 s/b 137137-09 (Part Number B32314-02)

To support Pro*C/C++,Pro*FORTRAN,Oracle Call Interface,Oracle C++ Call Interface,Oracle XML Developers Kit (XDK) 
112760-05 (Solaris 9) 
117837-05 (Solaris X86 10) 
117846-08 (Solaris X86 10) 
118682-01 (Solaris X86 10) 
ulimit(TIME) to unlimited. Refer to Note 250262.1 
ulimit(FILE) to unlimited. Refer to Note 250262.1 
ulimit(DATA) to a minimum of 1048576. Refer to Note 250262.1 
ulimit(STACK) to a minimum of 32768. Refer to Note 250262.1 
ulimit(NOFILES) to a minimum of 4096. Refer to Note 250262.1 
ulimit(VMEMORY) to a minimum of 4194304. Refer to Note 250262.1

Required Packages: 
SUNWarc, 
SUNWbtool, 
SUNWhea, 
SUNWlibm, 
SUNWlibms, 
SUNWmfrun, 
SUNWsprot, 
SUNWsprox (Not applicable to Solaris 10), 
SUNWtoo, 
SUNWxwfnt, 
SUNWi1cs, 
SUNWi15cs, 
SUNWi1of, 
SUNWxcu4, 
SUNWuiu8 and SUNWulcf - See Note 290034.1

Solaris 8 Reqd Patches: 
108528-23 
108652-66 
108773-18 
108921-16 
108940-53 
108987-13 
108989-02 
108993-45 
109147-24 
110386-03 
111023-02 
111111-03 
111308-03 
111310-01 
112396-02 
111721-04 
112003-03 
112138-01 
112760-05 (Native PL/SQL,ProC,ProFortran,OCI,OCCI,XDK only) 
SUNWctplx/ SUNWdtbax/ SUNWtltkx/ SUNWtoox/ SUNWxwicx/ SUNWxwplx/ 
and also Patch 108940-76 (or higher) in order to fix the SUNWdtbax package Note 366100.1

Solaris 9 Reqd Patches: 
112233-11 
111722-04 (Bug 4122475
115675-01 
113471-08 
115675-01 
112760-05 (Native PL/SQL,ProC,ProFortran,OCI,OCCI,XDK only) 
112963-25 
113029-07 for Fair Scheduler, See Note 558374.1

Solaris 10 Reqd Patches 
127111-02 s/b 127127-11 for 10.2.0.4 or later (see README for 10.2.0.4.0) 
127111-03 s/b 127127-11 See Note 460424.1

Solaris 10 x86_64 Reqd Patches: 
118345-03 
119961-01 
127127-11 See Note 460424.1

Solaris 10 special instructions: 
Select 'Do not create a starter database' when installing Oracle 10gR2 due to Bug 4884705 and run the DBCA after the installation.

The Fair Share Scheduler(FSS) requires Solaris 10 11/06 or higher. 
If using a prior update of Solaris 10 install the following patches : 
Install patch 118833-36 before installing Oracle 10gR2 for Solaris 10 on SPARC. 
Install patch 118855-36 before installing Oracle 10gR2 for Solaris 10 on x86-64

IMPORTANT: Patch 4589082 needs to be installed prior to attempting an installation of 10.2 on Solaris 10 SPARC to avoid "Error in invoking target 'relink' of makefile 'precomp/lib/ins_precomp.mk' related to -ldce not found. See also Note 333348.1.

IMPORTANT: See Note 1190843.1 regarding a related relinking issue in 10.2.0.5

Required Packages: 
SUNWarc, 
SUNWbtool, 
SUNWhea, 
SUNWlibC (CRS only) 
SUNWlibm, 
SUNWlibms, 
SUNWmfrun, 
SUNWsprot, 
SUNWsprox (Not applicable to Solaris 10),
SUNWtoo, 
SUNWxwfnt, 
SUNWi1cs, 
SUNWi15cs, 
SUNWi1of 
SUNWuiu8,SUNWulcf (if Bug 4025250 occurs)
SUNWxcu4

Solaris 8 Reqd Patches: 
108528-23 
108652-66 
108773-18 
108921-16 
108940-53 
108987-13 
108989-02 
108993-18 
109147-24 
110386-03 
111023-02 
111111-03 
111308-03 
111310-01 
112396-02 
111721-04 
112003-03 
112138-01

Solaris 9 Reqd Patches: 
112233-11 
111722-04 (Bug 4122475
112963-25 
113029-07 for Fair Scheduler, See Note 558374.1

Solaris 10 special instructions: 
1. Execute runInstaller with the -ignoreSysPrereqs option. 
2. Select 'Do not create a starter database' when installing Oracle 10g. 
3. During installation, the warning message 'SUNWsprox package not installed' can be ignored as it is no longer provided separately. Press Continue to resume the installation. 
4. Download and install PSR 10.1.0.4Patch 4163362(or apply PSR 10.1.0.3 Patch 3761843 and interim Patch 4163208 (SPARC) or patch 4186426 (x86) from support.oracle.com. 
5. Download and install Patch 4365826from 10.1.0.3 or 10.1.0.4 from support.oracle.com. (SPARC only), also a merge patch containing 4365826 can be applied to 10.1.0.4.2 Patch 4590858 
6. If you have an End User Solaris 10 distribution, install the SUNWuiu8 package prior to installing the 10g client. 
7. The Fair Share Scheduler(FSS) requires Solaris 10 11/06 or higher. 
If using a prior update of Solaris 10 install the following patches : 
Install patch 118833-36 before installing Oracle 10gR2 for Solaris 10 on SPARC. 
Install patch 118855-36 before installing Oracle 10gR2 for Solaris 10 on x86-64 
8. Oracle Solaris 10 install Sun patch 127111-03 (SPARC) / 127127-11 (x86-64) See Note 460424.1

32bit/64bit 
SUNWarc, 
SUNWbtool, 
SUNWhea, 
SUNWlibm, 
SUNWlibms, 
SUNWmfrun, 
SUNWsprot, 
SUNWtoo 
SUNWi1of and SUNWxwfnt (for Java) 
SUNWsprox (for 64bit Oracle) (Not applicable to Solaris 10) 
SUNWuiu8,SUNWulcf (if Bug 4025250 occurs) 
SUNWxcu4

108528-05 (2.8)

Solaris 10 special instructions: 
Execute runInstaller with the -ignoreSysPrereqs option 
The Fair Share Scheduler(FSS) requires Solaris 10 11/06 or higher. 
If using a prior update of Solaris 10 install the following patches : 
Install patch 118833-36 before installing Oracle 10gR2 for Solaris 10 on SPARC. 
Install patch 118855-36 before installing Oracle 10gR2 for Solaris 10 on x86-64 
Oracle Solaris 10 install Sun patch 127111-03 (SPARC) / 127127-11 (x86-64) See Note 460424.1

32bit/64bit 
SUNWarc, 
SUNWbtool, 
SUNWhea, 
SUNWlibm, 
SUNWlibms, 
SUNWsprot, 
SUNWtoo 
SUNWxcu4

Additional 
64bit 
SUNWarcx, 
SUNW2x (believe this is a typo and should be SUNWtoox)

108528-01 (2.8) 
105181-15 (2.6)

SUNWarc, 
SUNWbtool, 
SUNWhea, 
SUNWlibm, SUNWlibms, SUNWsprot, 
SUNWtoo 
SUNWxcu4

2.6 requires at least 105181-15

SUNWarc, 
SUNWbtool, 
SUNWhea, 
SUNWlibm, SUNWlibms, SUNWsprot, 
SUNWtoo

2.6 requires at least 105181-15

SUNWarc, 
SUNWbtool, SUNWlibm, SUNWlibms,SUNWsprot,
SUNWtoo, 
SUNWhea.

Sun 2.6 requires 105181-06

  
Solaris Kernel Settings
Refer to the 11g Solaris Install Guide. Part Number E24346-02 for steps to do this. 
Verifying UDP and TCP Kernel Parameters
SEMMNI 100 
SEMMNS 1024(Obsolete) 
SEMMSL 256 
SEMVMX 32767(Obsolete) 
SHMMAX 4294967295 
SHMMNI 100 (Obsolete) 
NOEXEC_USER_STACK 1 
Note: For Solaris 10 Oracle recommends still setting all these values in the /etc/system file, as well as, the Resource Control Facility. 
Refer to the 11g Solaris Install Guide for steps to do this.

Here are the new names of the kernel parameters for Solaris 10 (Solaris 9 equivalents are in parentheses):

  • project.max-sem-ids 100 (semmni)
  • process.max-sem-nsems 256 (semmsl)
  • project.max-shm-memory 4294967295 (shmmax)
  • project.max-shm-ids 100 (shmmni)
SEMMNI 100 *** 
SEMMNS 1024 ** 
SEMMSL 256 *** 
SEMVMX 32767 ** 
SHMMAX 4294967295 
SHMMIN 1 * 
SHMMNI 100*** 
SHMSEG 10 * 
NOEXEC_USER_STACK 1 
* obsolete in Solaris 9 and 10 
** obsolete in Solaris 10 
*** default value in Solaris 10 is already larger 
Note: for Solaris 10 SHMMAX which is now set through the Resource Control Facility not /etc/system. Refer to the 10gR2 for Solaris SPARC Installation guide for steps to do this, as well as, the Release Notes which has corrections:
10.2 Install Guides and Release Notes

Here are the new names of the kernel parameters for Solaris 10 (Solaris 9 equivalents are in parentheses):

  • project.max-sem-ids 100 (semmni)
  • process.max-sem-nsems 256 (semmsl)
  • project.max-shm-memory 4294967295 (shmmax)
  • project.max-shm-ids 100 (shmmni)
SEMMNI 100 *** 
SEMMNS 1024 ** 
SEMMSL 256 *** 
SEMVMX 32767 ** 
SHMMAX 4294967295 
SHMMIN 1 * 
SHMMNI 100*** 
SHMSEG 10 * 
NOEXEC_USER_STACK 1 
* obsolete in Solaris 9 and 10 
** obsolete in Solaris 10 
*** default value in Solaris 10 is already larger
SEMMNI 100 *** 
SEMMNS 1024 ** 
SEMMSL 256 *** 
SHMMAX 4294967295 
SHMMIN 1 * 
SHMMNI 100*** 
SHMSEG 10 * 
NOEXEC_USER_STACK 1 
* obsolete in Solaris 9 and 10 
** obsolete in Solaris 10 
*** default value in Solaris 10 is already larger
SEMMNI 100 
SEMMNS 256 
SEMMSL 256 
SHMMAX 4294967295 
SHMMIN 1 
SHMMNI 100 
SHMSEG 10
SHMMAX 4294967295 
SHMMIN 1 
SHMMNI 100 
SHMSEG 10 
SEMMNI 100 
SEMMSL Set to 10 plus the largest PROCESSES parameter of any Oracle database on the system. 
SEMMNS Set to the sum of the PROCESSES parameter for each Oracle database, adding the largest one twice, then add an additional 10 for each database. 
SEMOPM 100 
SEMVMX 32767
SHMMAX 4294967295 
SHMMIN 1 
SHMMNI 100 
SHMSEG 10 
SEMMNI 100 
SEMMSL Set to 10 plus the largest PROCESSES parameter of any Oracle database on the system. 
SEMMNS Set to the sum of the PROCESSES parameter for each Oracle database, adding the largest one twice, then add an additional 10 for each database. 
SEMOPM 100 
SEMVMX 32767
SHMMAX 0.5*(physical memory present in machine) 
SHMMIN 1 
SHMMNI 100 
SHMSEG 10 
SEMMNI 100 
SEMMSL Set to 10 plus the largest initsid.ora PROCESSES parameter of an Oracle database on the system. 
SEMMNS Set to the sum of the PROCESSES parameter for each Oracle database except the largest one, plus 2 times the largest PROCESSES value, plus 10 times the number of Oracle databases. 
SEMOPM 100 
SEMVMX 32767
SHMMAX 4294967295 
SHMMIN 1 
SHMMNI 100 
SHMSEG 10 
SEMMNS 200 
SEMMNI 70 
SEMMSL Equal to or greater than the value of the 
PROCESSES initialization parameter.
SHMMAX 4294967295 
SHMMIN 1 
SHMMNI 100 
SHMSEG 10 
SEMMNS 200 
SEMMNI 70 
SEMMSL Equal to or greater than the value of the 
PROCESSES initialization parameter.
Oracle Version11.211.110.210.19.2.09.0.18.1.78.1.68.1.58.0.68.0.5
Tru64 OS 
do "/usr/sbin/sizer -v" to see specific version of Tru64, "uname -a" will not show it.
NANot Available5.1b5.1b5.1a, 5.1b5.0a, 5.1, 5.1a, 5.1b4.0D-G, 5.0, 5.0a, 5.1, 5.1a, 5.1b(EV5.6 processor or higher) do '/usr/sbin/psrinfo -v'4.0D-G, 5.0, 5.0a, 5.14.0D-G, 5.0, 5.0a, 5.14.0D-G, 5.0, 5.0a, 5.1, 5.1a4.0D-G, 5.0, 5.0a
Tru64 Disk SpaceNANot Available1.2G Database 
3G Software 
1G Companion 
150M-1.9G Client
1.2G Database 
3G Software 
1G Companion 
150M-1.9G Client
4.5G4.7G1.5G1.2G811Mb800Mb800Mb
Tru64 RAMNANot Available1Gb 
256Mb (Client/Compan)
512Mb 
256Mb(Client/Compan)
512Mb256Mb128Mb128Mb128Mb128Mb128Mb
Tru64 swapNANot Available2Gb or match RAM 
512Mb(Client/Compan)
1Gb or match RAM 
512Mb(Client/Compan)
1Gb or match RAM400Mb400Mb400Mb2-4*RAM2-4*RAM2-4*RAM
Tru64 tmpNANot Available400Mb400Mb400Mb400Mb75Mb?75Mb40Mb40Mb
Tru64 JDK & JRENANot AvailableSDK 1.4.2 needs to be installed 
download here
SDK 1.4.2 needs to be installed 
download here
JDK 1.3.1.03 & 1.1.8-10JDK 1.2.2-8 & 1.1.8-10JDK 1.2.2. & 1.1.8-71.1.8?n/an/a
Tru64 Patches/
Packages
NANot AvailableOSFCMPLRS 
OSFLIBA 
OSFPGMR 
OSFSER 
OSFX11

5.1B-3 (patchkit 5): T64V51BB26AS0005-20050502

OSFSER 
OSFLIBA 
OSFPGMR 
OSFCMPLRS 
OSFX11 
OSFXDEVX (Spatial only) 
OSFXINCLUDE (Spatial only) 
OSFXLIBA (Spatial only)

5.1B-3 (patchkit 5): T64V51BB26AS0005-20050502

OSFSER 
OSFLIBA 
OSFPGMR 
OSFCMPLRS 
OSFX11

o 5.1a with patchkit 6 or higher required: 
T64V51AB24AS0006-20031031 
o HP Tru64 UNIX Performance improvement to times(3) system call: 
T64KIT0023583-V51AB24-E-20040913 
o HP Tru64 UNIX V5.1A PK6 (BL24) ERP Kit - file region locks can be inadvertently released as a result of AIO processing: 
T64KIT0023109-V51AB24-E-20040729

o 5.1B-3 (patchkit 5): T64V51BB26AS0005-20050502

OSFSER 
OSFLIBA 
OSFPGMR 
OSFCMPLRS 
OSFX11

5.0a 
patchkit 2 and bugfix HPAQ217F3 or 
patchkit 3 and bugfix HPAQ217F3 or 
patchkit 4

5.1 
patchkit 5 with T64V5117_C0038300
_unique_id_and_mfg_date.tar T64V51B19-C0125001-14319-E-20020516.tar (C1250.01 PatchId), T64V51B19-C0151600-15736-E-20021017.tar (C1516.00 PatchId).Go to here to download

5.1a 
patchkit 4 with T64V51AB3-C0074700-15747-E-20021018.tar (C747.00 PatchId). Go to here to download

5.1b = Patchkit 2 or greater, apply patch 01414.00 (included in Pk3) to address Note 261309.1 ld seg fault = Patchkit 2 or greater

The following additional 5.1b O/S patch is also required, please obtain from HP: T64KIT0021686-V51BB24-E-20040223 -- File Locking issue

OSFLIBA, 
OSFPGMR, 
OSFCMPLRS

4.0D = Patchkit 4 or greater

4.0E = Patchkit 2 or greater

4.0F = Patchkit 1 or greater

5.1 = Patchkit 5 or greater with T64V51B19-C0125001-14319-E-20020516.tar (C1250.01 PatchId) and T64V51B19-C0151600-15736-E-20021017.tar (C1516.00 PatchId). .Go tohere to download

5.1a = Patchkit 3 or greater with T64V51AB3-C0074700-15747-E-20021018.tar (C747.00 PatchId). Go to here to download

5.1b = Patchkit 2 or greater, apply patch 01414.00 (included in Pk3) to address Note 261309.1 ld seg fault

The following additional 5.1b O/S patch is also required, please obtain from HP: T64KIT0021686-V51BB24-E-20040223 -- File Locking issue

OSFLIBA, 
OSFPGMR, 
OSFCMPLRS

4.0D = Patchkit 4 or greater

4.0E = Patchkit 2 or greater

4.0F = Patchkit 1 or greater

OSFLIBA, 
OSFPGMR, 
OSFCMPLRS
OSFLIBA, OSFPGMR, OSFCMPLRS 
Tru64 Kernel SettingsNANot AvailablePER_PROC_STACK_SIZE 8388608 33554432 to avoid ORA-4030s (Install Guide recommends 8388608) 
MAX_PER_PROC_STACK_SIZE 33554432 
PER_PROC_DATA_SIZE 335544320 or RAM (whichever is greater) 
MAX_PER_PROC_DATA_SIZE 335544320 or RAM (whichever is greater) 
PER_PROC_ADDRESS_SPACE 1073741824 or RAM (whichever is greater) 
MAX_PER_PROC_ADDRESS_SPACE 1073741824 or RAM (whichever is greater) 
SHM_MAX 4278190080 (4 GB less 16MB) 
SHM_MIN 1 
SHM_MNI 256 
SHM_SEG 256 
NEW_WIRE_METHOD 1 (if >= 5.1b PK3 and patch T64KIT0021686-V51BB24-E-20040223)Note 272697.1 
for 5.1b PK5 and higher is defaulter to 1 and can no longer be changed 
NEW_WIRE_METHOD 0 (if <= 5.1b PK2) Note 272697.1 
VM_BIGPG_ENABLED 0 
FIFO_DO_ADAPTIVE 0 
SSM_THRESHOLD * 
MSG_SIZE 32768 
MAX_OBJS 5120 
MAX_ASYNC_REQ 256 
MAX_SESSIONS 500 
RDG_MAX_AUTO_MSG_WIRES 0 
RDG_AUTO_MSG_WIRES 0 
AIO_TASK_MAX_NUM 8193 
EXEC_DISABLE_ARG_LIMIT 1

* Set this attribute to 0 only if the rad_gh_regions[n] or gh_chunks attributes are set in the vm subsystem. Otherwise, do not change the value.

PER_PROC_STACK_SIZE 8388608 33554432 to avoid ORA-4030s (Install Guide recommends 8388608) 
MAX_PER_PROC_STACK_SIZE 33554432 
PER_PROC_DATA_SIZE 335544320 
MAX_PER_PROC_DATA_SIZE 335544320 
PER_PROC_ADDRESS_SPACE 1073741824 or RAM (whichever is greater) 
MAX_PER_PROC_ADDRESS_SPACE 1073741824 or RAM (whichever is greater) 
SHM_MAX 4278190080 (4 GB less 16MB) 
SHM_MIN 1 
SHM_MNI 256 
SHM_SEG 256 
NEW_WIRE_METHOD 1 (if >= 5.1b PK3 and patch T64KIT0021686-V51BB24-E-20040223)Note 272697.1 
for 5.1b PK5 and higher is defaulter to 1 and can no longer be changed 
NEW_WIRE_METHOD 0 (if <= 5.1b PK2) Note 272697.1 
VM_BIGPG_ENABLED 0 
FIFO_DO_ADAPTIVE 0 
SSM_THRESHOLD * 
MSG_SIZE 32768 
MAX_OBJS 5120 
MAX_ASYNC_REQ 256 
MAX_SESSIONS 500 
RDG_MAX_AUTO_MSG_WIRES 0 
RDG_AUTO_MSG_WIRES 0 
AIO_TASK_MAX_NUM 8193

* Set this attribute to 0 only if the rad_gh_regions[n] or gh_chunks attributes are set in the vm subsystem. Otherwise, do not change the value.

MAX_PER_PROC_STACK_SIZE 33554432 
PER_PROC_STACK_SIZE 8388608 33554432 to avoid ORA-4030s (Install Guide recommends 8388608) 
PER_PROC_DATA_SIZE 201326592 
SHM_MAX 4278190080 (4 GB less 16MB) 
SHM_MIN 1 
SHM_MNI 256 
SHM_SEG 128 
NEW_WIRE_METHOD 1 (if >= 5.1b PK3 and patch T64KIT0021686-V51BB24-E-20040223 or 5.1a PK6)Note 272697.1 
for 5.1b PK5 and higher is defaulter to 1 and can no longer be changed 
NEW_WIRE_METHOD 0 (if <= 5.1b PK2) Note 272697.1 
VM_BIGPG_ENABLED 0 
FIFO_DO_ADAPTIVE 0

Alpha processor EV5.6 or later

PER_PROC_STACK_SIZE 33554432 
MAX_PER_PROC_STACK_SIZE 536870912 
PER_PROC_DATA_SIZE RAM 
MAX_PER_PROC_DATA_SIZE RAM 
PER_PROC_ADDRESS_SIZE RAM 
MAX_PER_PROC_ADDRESS_SIZE RAM 
SHM_MAX 4278190080 (4 GB less 16MB) 
SHM_MIN 1 
SHM_MNI 256 
SHM_SEG 128 
NEW_WIRE_METHOD 1 (if >= 5.1b PK3 and patch T64KIT0021686-V51BB24-E-20040223) Note 272697.1 
for 5.1b PK5 and higher is defaulter to 1 and can no longer be changed 
NEW_WIRE_METHOD 0 (if <= 5.1b PK2) Note 272697.1 
FIFO_DO_ADAPTIVE 0

Alpha processor EV5.6 or later

SHMMAX 2139095040(2GB-8MB) 
SHMMIN 1 
SHMMNI 100 
SHMSEG 32 
NEW_WIRE_METHOD 1 (if >= 5.1b PK3 and patch T64KIT0021686-V51BB24-E-20040223) Note 272697.1 
for 5.1b PK5 and higher is defaulter to 1 and can no longer be changed 
NEW_WIRE_METHOD 0 (if <= 5.1b PK2)Note 272697.1 
FIFO_DO_ADAPTIVE 0

vm-mapentries=1024 in the /etc/sysconfigtab, verify with '/sbin/sysconfig -q vm' - applies to OS versions below 5.0, starting in 5.0 it is autoset

Alpha processor EV5.6 or later

SHMMAX 2139095040(2GB-8MB) 
SHMMIN 1 
SHMMNI 100 
SHMSEG 32
SHMMAX 8388608 or higher than the maximum SGA size. 
Note: If anticipated SGA size is greater than 2 GB, set it to 2 GB - 8 MB; otherwise, round the SGA sizeup to the next 8 MB and set that to SHMMAX. 
SHMMIN 1 
SHMMNI 100 
SHMSEG 32
SHMMAX 
2139095040 (2 GB-8 MB) 
SHMMIN 1 
SHMMNI 100 
SHMSEG 32
SHMMAX 8388608 or higher than the maximum SGA size. 
Note: If anticipated SGA size is greater than 2 GB, set it to 2 GB - 8 MB; otherwise, round the SGA size up to the next 8 MB and set 
that to SHMMAX. 
SHMMIN 1 
SHMMNI 100 
SHMSEG 32
Oracle Version11.211.110.210.19.2.09.0.18.1.78.1.68.1.58.0.68.0.5
Linux x86 OS 
(See Note 225710.1 for supported kernels) andNote 265262.1for "Things to know about Linux"

o RHEL4,OEL4 - Update 7 or greater which is Kernel 2.6.9-78 or newer 
o RHEL5, OEL5 - 5.2 or greater which is Kernel 2.6.18-92 or newer 
o SLES10 - Kernel 2.6.16.21 or higher 
o SLES 11 - Kernel 2.6.27.19-5 or greater 
o Asianux Server 3 SP2

o RHEL4, OEL4, Asianux 2.0 
2.6.9 
o RHEL5, OEL5, Asianux Server 3 
2.6.18 
o SuSE SLES10 
2.6.16.21 
o SuSE SLES11 - Kernel 2.6.27.19-5 or greater
o RHEL 3 AS/ES ( RHEL3 ) (Update 4 or later) 
2.4.21-27.EL or higher 
o RHEL 4 AS/ES ( RHEL4 ) and Oracle Enterprise Linux 4 ( OEL4 ) 
2.6.9-5.0.5.EL or higher 
o RHEL 5 AS/ES ( RHEL5 ) and Oracle Enterprise Linux 5 ( OEL5 ) 
2.6.18-8 or higher 
o SuSE SLES9 
2.6.5-7.201 or higher 
o SuSE SLES10 
o SuSE SLES11 - Kernel 2.6.27.19-5 or greater 
o Asianux 1.0 
2.4.21-27.EL or higher 
o Asianux 2.0 
2.6.9-5.0.5.EL or higher
o RHEL AS/ES 2.1 (Update 3 or higher) 
2.4.9-e34 or higher 
o RHEL AS/ES 3.0 (Update 2 or higher) 
2.4.21-15.EL or higher 
o RHEL4 (10.1.0.3.0 patchset required) 
refer to 10.1.0.3.0 Release Notes 
o SuSE SLES8 (Service Pack 3 or higher) 
2.4.21-138 
o SuSE SLES9 
2.6.5-7.5 
o Red Flag Advanced Server 4.0 (China only) 
o Miracle Linux Std Ed 2.1 (Japan only) 
o Asianux 1.0
o Red Hat Enterprise AS/ES 2.1 
2.4.9-e34 or higher 
o Red Hat Enterprise AS/ES 3.0 
2.4.21-15 
o RHEL4 (9.2.0.6.0 patchset required or 9.2.0.5.0 patchset and Patch 4276910 required) 
refer to 9.2.0.4 Release Notes 
o SuSE SLES8 
2.4.21-138 
o SuSE SLES9 
2.6.5-7.97 
o United Linux 1.0 (SP3 or higher) 
o Red Flag DC Server 4.0 (China and Hong Kong only) 
o Monta Vista Carrier Grade Linux 3.0 (embedded) 
o Miracle Linux Std Ed 2.1 (Japan only) 
2.4.7 
o Asianux 1.0
Caldera OU8+LKP, Red Hat 7.1, Advanced Server 2.1, SuSE 7.1, 7.2, SLES7, Kernel 2.4.4Caldera OU8+LKP, Miracle 1.0, 2.0, Red Hat 6.1,6.2, EE 6.2, 7.0, 7.1, Advanced Server 2.1, SuSE 7.0, 7.1, 7.2, SLES7, Kernel 2.2.16Miracle 1.0, Red Hat 6.0,6.1,6.2, EE 6.2, SuSE 6.3, 6.4, 7.0, VA 6.2, Kernel 2.2Red Hat 6.2, EE 6.2, SuSE 6.3, 6.4, Kernel 2.2Red Hat 6.2, SuSE 6.4, 7.0, Kernel 2.0.342.0.34
Linux x86 Disk Space3.8G Database2G Database 
3.5G Install
1.2G Database 
1.5 to 3.5G Install
1.2G Database 
1.5G Software 
1G Companion 
150M-650M Client
4.5G3.5G900Mb1G811Mb400Mb400Mb
Linux x86 RAM1GB1GB1GB512Mb 
256Mb(Client/Compan)
512Mb512Mb128Mb128Mb128Mb32Mb32Mb
Linux x86 swapIf RAM=1 GB to 2 GB then 1.5 times RAM 
If RAM=2 GB to 16 GB then equal to RAM 
If greater than 16 GB then 16 GB
If RAM between 1 GB and 2 GB 
then 1.5 times RAM 
elseif RAM between 2 GB and 16 GB 
then match RAM 
else RAM > 16 GB 
then 16 GB
If RAM = 1024MB to 2048Mb 
then 1.5 times RAM 
elseif RAM > 2048MB and < 8192MB 
then match RAM 
else RAM > 8192MB 
then .75 times RAM
1Gb or match RAM 
512Mb(Client/Compan)
1Gb or match RAM512Mb400Mb400Mb256Mb3*RAM3*RAM
Linux x86 tmp1024Mb400Mb400Mb400Mb400Mb400Mb75Mb75Mb75Mb75Mb20Mb
Linux x86 JDK & JREJDK (version TBS) is installedJDK (version TBS) is installedJDK 1.4.2_08 is installedJDK 1.4.2_02 is installedSun JDK 1.3.1_02 & Blackdown 1.1.8_v3Blackdown JDK 1.1.8_3 & 1.1.8_v3JDK 1.2.2. & 1.1.8-3from IBM1.1.81.1.6v5n/an/a
Linux x86 Patches/ 
Packages

RHEL4, OEL4: 
Refer to Note 880211.1

  • binutils-2.15.92.0.2-25
  • compat-libstdc++-33-3.2.3-47.3
  • elfutils-libelf-0.97.1-5
  • glibc-2.3.4-2.41
  • glibc-common-2.3.4-2.41
  • libaio-0.3.105-2
  • libgcc-3.4.6-10
  • libstdc++-3.4.6-10
  • make-3.80-7.EL4
  • pdksh-5.2.14-30.6
  • unixODBC-2.2.11-1.RHEL4.1
  • The remaining Install Guide requirements will have to be installed:
  • elfutils-libelf-devel-0.97.1-5.i386.rpm
  • glibc-headers-2.3.4-2.41.i386.rpm
  • glibc-kernheaders-2.4-9.1.103.EL.i386.rpm will be required as a prerequisite
  • glibc-devel-2.3.4-2.41.i386.rpm
  • gcc-3.4.6-10.i386.rpm
  • libstdc++-devel-3.4.6-10.i386.rpm
  • gcc-c++-3.4.6-10.i386.rpm
  • libaio-devel-0.3.105-2.i386.rpm
  • sysstat-5.0.5-19.el4.i386.rpm
  • unixODBC-devel-2.2.11-1.RHEL4.1.i386.rpm

    NOTE: If you download unixODBC from ftp://ftp.unixodbc.org/pub/unixODBC/ then the header and library files are distributed together in one gzipped tar file.

    RHEL5, OEL5: 
    Refer to Note 880936.1

    RHEL6, OEL6: 
    Refer to Note 1441282.1

    SLES10: 
    Refer to Note 763386.1

    SLES11: 
    Refer to Note 881025.1

Asianux 2.0,OEL4,RHEL4: 
refer to Note 430653.1
  • default Update 3 RPMs install or higher, see Note 376183.1
  • binutils-2.15.92.0.2-18 *
  • compat-libstdc++-33.2.3-47.3 *
  • elfutils-libelf-0.97-5 *
  • elfutils-libelf-devel-0.97-5
  • glibc-2.3.4-2.19 *
  • glibc-common-2.3.4-2.19 *
  • glibc-devel-2.3.4-2.19
  • glibc-headers-2.3.4-2.19 (glibc-devel required RPM)
  • glibc-kernheaders-2.4-9.1.98 (glibc-devel required RPM)
  • gcc-3.4.5-2
  • gcc-c++-3.4.5-2
  • libaio-0.3.105-2 *
  • libaio-devel-0.3.105-2
  • libgcc-3.4.5 *
  • libstdc++-3.4.5-2 *
  • libstdc++-devel-3.4.5-2
  • make-3.80-5 *
  • sysstat-5.0.5 *
  • unixODBC-2.2.11-1.RHEL4
  • unixODBC-devel-2.2.11-1.RHEL4 
    * default OS installed

    NOTE: If you download unixODBC from ftp://ftp.unixodbc.org/pub/unixODBC/ then the header and library files are distributed together in one gzipped tar file.

    Asianux Server 3,OEL5,RHEL5: 
    refer to Note 438765.1

  • default RPM install, see Note 376183.1
  • binutils-2.17.50.0.6-2.el5 *
  • compat-libstdc++-33-3.2.3-61
  • elfutils-libelf-0.125-3.el5 *
  • elfutils-libelf-devel-0.125-3.el5
  • elfutils-libelf-devel-static-0.125-3.el5 
    (required by elfutils-libelf-devel)
  • glibc-2.5-12 *
  • glibc-common-2.5-12 *
  • glibc-devel-2.5-12
  • glibc-headers-2.5-12 
    (required by glibc-devel)
  • gcc-4.1.1-52.el5
  • gcc-c++-4.1.1-52.el5
  • libaio-0.3.106
  • libaio-devel-0.3.106
  • libgcc-4.1.1-52
  • libgomp-4.1.1-52.el5 
    (required by gcc)
  • libstdc++-4.1.1-52.el5 *
  • libstdc++-devel-4.1.1-52.el5
  • make-3.81-1.1 *
  • sysstat-7.0.0-3.el5
  • unixODBC-2.2.11-7.1
  • unixODBC-devel-2.2.11-7.1 
    * default OS installed

    NOTE: If you download unixODBC from ftp://ftp.unixodbc.org/pub/unixODBC/ then the header and library files are distributed together in one gzipped tar file.

    SLES10: 
    refer to Note 452818.1

  • default RPM install, see Note 386391.1
  • binutils-2.16.91.0.5-23.4 *
  • compat-libstdc++-5.0.7-22.2 *
  • glibc-2.4-31.2 *
  • glibc-devel-2.4-31.2
  • gcc-4.1.0-28.4
  • gd-2.0.32-23.2 
    (required by sysstat)
  • gnuplot-4.0.0-20.2 
    (requried by sysstat)
  • ksh-93r-12.9 *
  • libaio-0.3.104-14.2 *
  • libaio-devel-0.3.104-14.2
  • libelf-0.8.5-47.2
  • libgcc-4.1.0-28.4 *
  • libstdc++-4.1.0-28.4 *
  • libstdc++-devel-4.1.0-28.4
  • make-3.80-202.2 *
  • plotutils-2.4.1-591.2 
    (required by sysstat)
  • sysstat-6.0.2-16.4
  • unixODBC-2.2.11-21.4
  • unixODBC-devel-2.2.11-21.4 
    * default OS installed

    NOTE: If you download unixODBC from ftp://ftp.unixodbc.org/pub/unixODBC/ then the header and library files are distributed together in one gzipped tar file.

    SLES11: 
    refer to Note 849583.1

RHEL3: default RPMS (see Note 376183.1)
  • gcc-3.2.3-34
  • glibc-2.3.2-95.20
  • make-3.79.1
  • openmotif21-2.1.30-8
  • compat-db-4.0.14.5
  • compat-gcc-7.3-2.96.128
  • compat-gcc-c++-7.3-2.96.128
  • compat-libstdc++-7.3-2.96.128
  • compat-libstdc++-devel-7.3-2.96.128
  • setarch-1.3-1
  • XFree86 (Spatial only)
  • XFree86-devel (Spatial only)

    RHEL4: 
    refer to Note 343431.1 default RPMS (seeNote 376183.1)

  • binutils-2.15.92.0.2-10.EL4
  • compat-db-4.1.25-9
  • compat-libstdc++-296-2.96-132.7.2
  • compat-libstdc++-33-3.2.3-47.3
  • control-center-2.8.0-12
  • gcc-3.4.3-9.EL4
  • gcc-c++-3.4.3-9.EL4
  • glibc-2.3.4-2
  • glibc-common-2.3.4-2
  • gnome-libs-1.4.1.2.90-44.1
  • libstdc++-3.4.3-9.EL4
  • libstdc++-devel-3.4.3-9.EL4
  • make-3.80-5
  • pdksh-5.2.14-30
  • sysstat-5.0.5-1
  • xscreensaver-4.18-5.rhel4.2
  • openmotif21-2.1.30-11.RHEL4.2 (required to install Oracle demos)
  • libaio-0.3.102-1

    [Red Hat,Oracle] Enterprise Linux 5.0 
    Refer to Note 419646.1

  • default RHEL5 RPMs (see Note 376183.1)
  • default OEL5 RPMs (see Note 401167.1)
  • gcc-c++-4.1.1-52.el5.i386.rpm and all its dependent packages. 
    The dependent packages are: 
    gcc-4.1.1-52.el5.i386.rpm 
    libstdc++-devel-4.1.1-52.el5.i386.rpm 
    glibc-devel-2.5-12.i386.rpm 
    glibc-headers-2.5-12.i386.rpm 
    libgomp-4.1.1-52.el5.i386.rpm
  • libXp-1.0.0-8.i386.rpm
  • compat-gcc-34-3.4.6-4.i386rpm
  • compat-gcc-c++-34-3.4.6-4.i386rpm
  • compat-libstdc++-33-3.2.3-61.i386.rpm
  • sysstat-5.0.5-1.i386.rpm (OEL5 only)

    SuSE SLES9: 
    Refer to Note 400429.1

  • default-RPMs (see NOTE 386391.1)
  • glibc-devel-2.3.3-98.47.i586.rpm
  • gcc-3.3.3-43.34.i586.rpm.
  • libstdc++-devel-3.3.3-43.34.i586.rpm
  • gcc-c++-3.3.3-43.34.i586.rpm
  • db1-1.85-85.1.i586.rpm
  • orbit-0.5.17-330.1.i586.rpm
  • gnome-libs-1.4.1.7-671.1.i586.rpm.
  • plotutils-2.4.1-575.1.i586.rpm
  • gnuplot-3.7.3-256.1.i586.rpm
  • sysstat-5.0.1-35.4.i586.rpm.

    SLES10: 
    refer to Note 387137.1

  • default RPM install, see Note 386391.1
  • glibc-devel-2.4-31.2.i586.rpm
  • gcc-4.1.0-28.4.i586.rpm
  • libstdc++-devel-4.1.0-28.4.i586.rpm
  • gcc-c++-4.1.0-28.4.i586.rpm
  • libaio-devel-0.3.104-14.2.i586.rpm

    SLES11: 
    refer to Note 842649.1

RHEL ES/AS 2.1:
  • make-3.79
  • gcc-2.96-128
  • gcc-c++-2.96-128
  • openmotif-2.1.30-11
  • glibc-2.2.4-32
  • libstdc++-2.96-128
  • XFree86 (Spatial only)
  • XFree86-devel (Spatial only)

    RHEL ES/AS 3:
    Refer to Note 394360.1

  • default-RPMs (see NOTE 376183.1)
  • gcc-3.2.3-34
  • gcc-c++-3.2.3-34
  • libstdc++-devel-3.2.3.3-34
  • libaio-0.3.96-3.i386.rpm (required to configure Async IO)
  • libaio-devel-0.3.96-3.i386.rpm (required to configure Async IO)
  • XFree86 (Spatial only)
  • XFree86-devel (Spatial only) 

    set LD_ASSUME_KERNEL=2.4.19

    RHEL4: 
    Refer to Note 392940.1 
    Patch 4153257 required for installer to work

  • default RPMS (see Note 376183.1)
  • binutils-2.15.92.0.2-10.EL4
  • compat-db-4.1.25-9
  • compat-libstdc++-296-2.96-132.7.2
  • compat-libstdc++-33-3.2.3-47.3
  • control-center-2.8.0-12
  • gcc-3.4.3-9.EL4
  • gcc-c++-3.4.3-9.EL4
  • glibc-2.3.4-2
  • glibc-common-2.3.4-2
  • gnome-libs-1.4.1.2.90-44.1
  • libstdc++-3.4.3-9.EL4
  • libstdc++-devel-3.4.3-9.EL4
  • make-3.80-5
  • pdksh-5.2.14-30
  • sysstat-5.0.5-1
  • xscreensaver-4.18-5.rhel4.2
  • openmotif21-2.1.30-11.RHEL4.2 (required to install Oracle demos)
  • libaio-0.3.96

    SuSE SLES8: 
    Requires 10.1.0.3 Full Release (CD Release)

  • make-3.79.1
  • gcc-3.2.2-38
  • gcc-c++-3.2.2-38
  • glibc-2.2.2-124
  • openmotif-2.2.2-124
  • xf86 (Spatial only)
  • xdevel (Spatial only)

    SuSE SLES9: 
    Requires 10.1.0.3 Full Release (CD Release)

  • make-3.80
  • gcc-3.3.3-43
  • gcc-c++-3.3.3-43
  • glibc-2.3.3-98
  • libaio-0.3.98-18
  • libaio-devel-0.3.98-18
  • openmotif-libs-2.2.2-519.1
  • xfree86 (Spatial only)
  • xfree86-devel (Spatial only)
RHEL ES/AS 2.1:
  • glibc 2.2.4-32
  • make-3.79
  • openmotif-2.1.30
  • gcc-2.96-128
  • gcc-c++-2.96-128
  • libstdc++-2.96-128

    RHEL ES/AS 3: 
    Refer to Note 252217.1 default RPMS (see Note 376183.1)

  • glibc 2.3.2-95.20
  • gcc-3.2.3-34
  • make-3.79.1
  • compat-db-4.0.14.5
  • compat-gcc-7.3-2.96.128
  • compat-gcc-c++-7.3-2.96.128
  • compat-libstdc++-7.3-2.96.128
  • compat-libstdc++-devel-7.3-2.96.128
  • gnome-libs-1.4.1.2.90-34.1
  • openmotif21-2.1.30-8
  • setarch-1.3-1

    To be able to install patch 3006854 these RPMs need to be installed

  • glibc-devel-2.3.2-95.6.i386.rpm
  • glibc-headers-2.3.2-95.20
  • glibc-kernheaders-2.4-8.34 
    Additional steps: 
    Note 252217.1 for additional setup requirements for RHEL3 and 9.2 x86 
    for Async I/O functionality to work you need to install Patch 3016968 on top of 9.2.0.3.0 or 9.2.0.4.0 or Patch 3208258 on top of 9.2.0.5.0 or 9.2.0.6.0

    RHEL4: 
    Refer to Note 303859.1 default RPMS (see Note 376183.1)

  • compat-db-4.1.25-9
  • compat-gcc-32-3.2.3-47.3
  • compat-gcc-32-c++-3.2.3-47.3
  • compat-oracle-rhel4-1.0-3 (obtain Patch 4198954)
  • compat-libcwait-2.0-1 (obtain Patch 4198954)
  • compat-libgcc-296-2.96-132.7.2
  • compat-libstdc++-296-2.96-132.7.2
  • compat-libstdc++-33-3.2.3-47.3
  • gcc-3.4.3-9.EL4
  • gcc-c++-3.4.3-9.EL4
  • gnome-libs-1.4.1.2.90-44
  • gnome-libs-devel-1.4.1.2.90-44
  • libaio-devel-0.3.102-1
  • libaio-0.3.102-1
  • make-3.80-5
  • openmotif21-2.1.30-11
  • xorg-x11-deprecated-libs-devel-6.8.1-23.EL
  • xorg-x11-deprecated-libs-6.8.1-23.EL 
    Patch 4188455 required for installer to work 
    Set LD_ASSUME_KERNEL=2.4.19 
    Post install you need to apply Patch 4190568on top of the 9.2.0.6 patchset 
    Note 303859.1 for more specific steps for 9.2.0.6 on RHEL4

    SuSE SLES8:

  • gcc-3.2.2-38
  • glibc-2.2.2-124
  • make-3.79.1
  • openmotif-2.2.2-124

    SuSE SLES9: 
    Refer to Note 427976.1 default RPMS (see Note 386391.1)

  • glibc-2.3.3
  • gcc-3.3.3
  • gcc-c++-3.3.3
  • libaio-0.3.98
  • libaio-devel-0.3.98
  • make-3.80
  • openmotif-libs-2.2.2-519.1
  • orarun-1.8-109 
    Additional steps for SLES9 for 9.2 32bit x86:
    Install 9.2.0.4 (Complete release) and then apply 9.2.0.5 and 9.2.0.5 one-off Patch 3809563 or 9.2.0.6 patchset 

    If using Bourne, Bash, or Korn shell: ( /usr/lib/libInternalSymbols.so can be obtained from the orarun package ) 
    ORACLE_BASE= ; export ORACLE_BASE 
    LD_ASSUME_KERNEL=2.4.21; export LD_ASSUME_KERNEL 
    LD_PRELOAD=/usr/lib/libInternalSymbols.so ; export LD_PRELOAD 
    for Async I/O functionality to work you need to install Patch 3208258 on top of 9.2.0.5.0 or 9.2.0.6.0
make-3.79, and binutils-2.10.GLIBC package version 2.1.3 or higherGLIBC package version 2.1GNU C Library, version 2.0.6 
GLIBC package version 2.1
GNU C Library, version 2.0.7 
TCL library (libtcl.so), version 8.0.2-16
GNU C Library, version 2.0.7 
TCL library (libtcl.so), version 8.0.2-16
Linux x86 Kernel Settings
kernel.shmmni = 4096 
kernel.sem = 250 32000 100 128 
fs.file-max = 6815744 512 x processes (for example 6815744 for 13312 processes) 
net.ipv4.ip_local_port_range = 9000 65500 
net.core.rmem_default = 262144 
net.core.rmem_max = 4194304 
net.core.wmem_default = 262144 
net.core.wmem_max = 1048576

SEMMSL 250 
SEMMNS 32000 
SEMMNI 128 
SEMOPM 100 
SHMMAX RAM times 0.5 Note 567506.1
SHMMNI 4096 
SHMALL = SHMMAX/pagesize 
FILE-MAX =6815744 512* Processes 
IP_LOCAL_PORT_RANGE 9000 65500 
RMEM_DEFAULT 262144 
RMEM_MAX 4194304 
WMEM_DEFAULT 262144 
WMEM_MAX 2621441048576 
NET.IPV4.TCP_RMEM 4194304 4194304 4194304 
NET.IPV4.TCP_WMEM 262144 262144 262144

SuSE SLES9: 
SEMMSL 250 
SEMMNS 32000 
SEMMNI 128 
SEMOPM 100 
SHMMAX RAM times 0.5 (Note 567506.1
SHMMNI 4096 
SHMALL = SHMMAX/pagesize 
FILE-MAX 65536 
IP_LOCAL_PORT_RANGE 9000 65500 
RMEM_DEFAULT 262144 
RMEM_MAX 2097152 
WMEM_DEFAULT 262144 
WMEM_MAX 262144 
NET.IPV4.TCP_RMEM 1048576 1048576 1048576 
NET.IPV4.TCP_WMEM 262144 262144 262144

Other Linux OS: 
SEMMSL 250 
SEMMNS 32000 
SEMMNI 128 
SEMOPM 100 
SHMMAX RAM times 0.5 (Note 567506.1
SHMMNI 4096 
SHMALL = SHMMAX/pagesize 
FILE-MAX 65536 
IP_LOCAL_PORT_RANGE 9000 65500 
RMEM_DEFAULT 262144 
RMEM_MAX 2097152 
WMEM_DEFAULT 262144 
WMEM_MAX 262144 
NET.IPV4.TCP_RMEM 1048576 1048576 1048576 
NET.IPV4.TCP_WMEM 262144 262144 262144

SEMMSL 250 
SEMMNS 32000 
SEMMNI 128 
SEMOPM 100 
SEMVMX 32767 
SHMMAX 2147483648 
One-half the size of your system's physical memory. Check your system for additional restrictions. 
SHMMNI 4096 
SHMALL = SHMMAX/pagesize 
FILE-MAX 65536 
IP_LOCAL_PORT_RANGE 9000 65500
SEMMNI 100 
SEMMNS 256 
SEMMSL 100 
SEMOPM 100 
SEMVMX 32767 
SHMMAX 2147483648 
One-half the size of your system's physical memory. Check your system for additional restrictions. 
SHMMIN 1 
SHMMNI 4096 
SHMSEG 4096
SEMMNI 100 
SEMMNS 256 
SEMMSL 100 
SEMOPM 100 
SEMVMX 32767 
SHMMAX 2147483648 
One-half the size of your system's physical memory. Check your system for additional restrictions. 
SHMMIN 1 
SHMMNI 4096 
SHMSEG 4096
SHMMAX 0.5*(physical memory present in machine) but not greater then 4Gb 
SHMMIN 1 
SHMMNI 100 
SHMSEG 10 
SEMMNI 100 
SEMMSL Set to 10 plus the largest PROCESSES parameter of any Oracle database on the system. 
SEMMNS Set to the sum of the PROCESSES parameter for each Oracle database, adding the largest one twice, then add an additional 10 for each database. 
SEMOPM 100 
SEMVMX 32767
SHMMAX 0.5*(physical memory present in machine) but not greater then 4Gb 
SHMMIN 1 
SHMMNI 100 
SHMSEG 10 
SEMMNI 100 
SEMMSL Set to 10 plus the largest PROCESSES parameter of any Oracle database on the system. 
SEMMNS Set to the sum of the PROCESSES parameter for each Oracle database, adding the largest one twice, then add an additional 10 for each database. 
SEMOPM 100 
SEMVMX 32767
SHMMAX 0.5 *(physical memory present in machine) but not greater then 4Gb 
SHMMIN 1 
SHMMNI 100 
SHMSEG 10 
SEMMNI 100 
SEMMSL Set to 10 plus the largest initsid.ora PROCESSES parameter of an Oracle database on the system. 
SEMMNS Set to the sum of the PROCESSES parameter for each Oracle database except the largest one, plus 2 times the largest PROCESSES value, plus 10 times the number of Oracle databases. 
SEMOPM 100 
SEMVMX 32767
SHMMAX (1/4 of RAM) but not greater then 4Gb 
SHMMIN 1 
SHMMNI 100 
SHMSEG 10 
SEMMNS 200 
SEMMNI 70 
SEMMSL Equal to or greater than the value of the 
PROCESSES initialization parameter.
SHMMAX (1/4 of RAM) but not greater then 4Gb 
SHMMIN 1 
SHMMNI 100 
SHMSEG 10 
SEMMNS 200 
SEMMNI 70 
SEMMSL Equal to or greater thanthe value of the 
PROCESSES initialization parameter.
Oracle Version11.211.110.210.19.2.09.0.18.1.78.1.68.1.58.0.68.0.5
Linux x86_64 EM64T AMD64 OS
(See Note 225710.1 for supported kernels) andNote 265262.1for "Things to know about Linux"

o RHEL4,OEL4 - update 7 or greater 
o RHEL5,OEL5 - 5.2 or greater 
o RHEL6,OEL6 - 6.0 or greater 
o SLES10 - Kernel 2.6.16.21-0.8 or greater 
o SLES11 - Kernel 2.6.27.19-5 or greater 
o Asianux Server 3 SP2 

NOTE: On RHEL6/OEL6, 11.2.0.3 or later is certified (not 11.2.0.1 or 11.2.0.2) 

Refer Note 1304727.1 for certification information 

Refer 11.2 DB Installation Guide for Linux for Kernel requirement

  • Asianux 2.0, [Red Hat,Oracle] Enterprise Linux 4.0: 
    2.6.9
  • Asianux Server 3, [Red Hat,Oracle] Enterprise Linux 5.0: 
    2.6.18
  • SUSE Linux Enterprise Server 10: 
    2.6.16.21
  • SuSE Linux Enterprise Server 11: 
    2.6.27.19-5 or greater
o Red Hat Enterprise Linux ( RHEL 3 ) AS/ES (Update 4 or later) 
2.4.21-27.EL 
o RHEL4 AS/ES (Update 1 or later) or OEL4 
2.6.9-11.EL 
o RHEL5 AS/ES or OEL5 
2.6.18-8 or higher 
o SUSE Linux Enterprise Server 9.0 (SLES9) with SP2 or later 
2.6.5-7.201 
o SuSE Linux Enterprise Server 10 (SLES10) 
2.6.16.21-0.8 (or later) 
o SuSE Linux Enterprise Server 11 (SLES11) 
2.6.27.19-5 or greater 
o Asianux 2.0
o Red Hat Enterprise AS/ES 3.0 (Update 2 or higher) 
2.4.21-15.EL 
o Red Hat Enterprise AS/ES 4.0 (Update 1 or higher) 
2.6.9-11.EL smp 
o SuSE SLES8 (Service Pack 3 or higher) 
2.4.21-185-smp 
o SuSE SLES9 
2.6.5-7.97 
o Asianux 1.0 
requires 10.1.0.3
o Red Hat Enterprise AS/ES 3.0 
2.4.21-9 
o Red Hat Enterprise AS/ES 4.0 
minimum patchset level is 9.2.0.7.0 
o SuSE SLES8 
2.4.21-185 
o SuSE SLES9 
9.2.0.6 Required - needed for EM64T patch 4261532 & patch 4233179
      
Linux x86_64 EM64T AMD64 Disk Space3.8Gb Database1.68G Database 
3.8G to 4.4G Software
1.2G Database 
1.5 to 3.5G Install
1.2G Database 
1.5G Software 
1G Companion 
150M-650M Client
4.5G      
Linux x86_64 EM64T AMD64 RAMDatabase: minimum 1GB, recommended 2GB

Grid Infrastructure for standalone server: minimum 1.5GB (plus another 1GB if installing Database too), recommended 4GB

1GB1GB512Mb 
256Mb(Client/Compan)
512Mb      
Linux x86_64 EM64T AMD64 swap11.2 DB Installation Guide for Linuxsays: 
If RAM between 1 GB and 2 GB then 1.5 times the size fo RAM. 
If RAM between 2 GB to 16 GB then equal to the size of RAM. 
If RAM greater than 16 GB then 16 GB.

11.2 Grid Infrastructure (GI) Installation Guide for Linux says: 
If RAM between 2 GB and 8 GB then 2 times the size fo RAM. 
If RAM between 8 GB to 32 GB then 1.5 times the size of RAM. 
If RAM greater than 32 GB then 32 GB.

If RAM 1 GB and 2 GB 
then 1.5 times the size fo RAM. 
If RAM 2 GB to 16 GB 
then equal to the size fo RAM. 
If RAM greater than 16 GB 
then 16 GB

Automatic Memory Management 
Starting with Oracle Database 11g, the Automatic Memory Management feature requires more shared memory (/dev/shm) and file descriptors. The shared memory should be sized to be at least the greater of MEMORY_MAX_TARGET and MEMORY_TARGET for each Oracle instance on the computer. To determine the amount of shared memory available, enter the following command: # df -k /dev/shm/

Note: MEMORY_MAX_TARGET and MEMORY_TARGET cannot be used when LOCK_SGA is enabled or with huge pages on Linux

If RAM = 1024MB to 2048Mb 
then 1.5 times RAM 
elseif RAM > 2048MB and < 8192MB 
then match RAM 
else RAM > 8192MB 
then .75 times RAM
1Gb or match RAM 
512Mb(Client/Compan)
1Gb or match RAM      
Linux x86_64 EM64T AMD64 tmp1024Mb400Mb400Mb400Mb400Mb      
Linux x86_64 EM64T AMD64 JDK & JREYou can use Sun JDK 1.5.0-06 with the JNDI extension JDK versions with the Oracle Java Database Connectivity and Oracle Call Interface drivers. 
However, these are not mandatory for the installation
You can use Sun JDK 1.5.0-06 with the JNDI extension JDK versions with the Oracle Java Database Connectivity and Oracle Call Interface drivers. 
However, these are not mandatory for the installation
JDK 1.4.2_08 is installedJDK 1.4.2_02 is installedo Sun JDK 1.4.2_03 is installed      
Linux x86_64 EM64T AMD64 Patches/ 
Packages
RHEL6,OEL6: 
Refer to Note 1441282.1 

RHEL5,OEL5: 
Refer to Note 880989.1 
binutils-2.17.50.0.6-6.el5 (x86_64) 
compat-libstdc++-33-3.2.3-61 (x86_64) << both ARCH's are required. See next line. 
compat-libstdc++-33-3.2.3-61 (i386) << both ARCH's are required. See previous line. 
elfutils-libelf-0.125-3.el5 (x86_64)
glibc-2.5-24 (x86_64) << both ARCH's are required. See next line. 
glibc-2.5-24 (i686) << both ARCH's are required. See previous line. 
glibc-common-2.5-24 (x86_64) 
ksh-20060214-1.7 (x86_64) 
libaio-0.3.106-3.2 (x86_64) << both ARCH's are required. See next line. 
libaio-0.3.106-3.2 (i386) << both ARCH's are required. See previous line. 
libgcc-4.1.2-42.el5 (i386) << both ARCH's are required. See next line. 
libgcc-4.1.2-42.el5 (x86_64) << both ARCH's are required. See previous line. 
libstdc++-4.1.2-42.el5 (x86_64) << both ARCH's are required. See next line. 
libstdc++-4.1.2-42.el5 (i386) << both ARCH's are required. See previous line. 
make-3.81-3.el5 (x86_64) 
The remaining Install Guide requirements will have to be installed: 
elfutils-libelf-devel-0.125-3 (x86_64) 
a.) requires elfutils-libelf-devel-static-0.125-3 (x86_64) as a prerequisite, as listed below. 
b.) elfutils-libelf-devel and elfutils-libelf-devel-static each depend upon the other. Therefore, they must be installed together, in one (1) "rpm -ivh" command as follows: 
rpm -ivh elfutils-libelf-devel-0.125-3.el5.x86_64.rpm elfutils-libelf-devel-static-0.125-3.el5.x86_64.rpm 
glibc-headers-2.5-24 (x86_64) 
a.) requires kernel-headers-2.6.18-92 (x86_64) as a prerequisite, as listed below 
glibc-devel-2.5-24 (x86_64) << both ARCH's are required. See next item. 
glibc-devel-2.5-24 (i386) << both ARCH's are required. See previous item. 
gcc-4.1.2-42.el5 (x86_64) 
a.) requires libgomp-4.1.2-42 (x86_64) as a prerequisite, as listed below 
libstdc++-devel-4.1.2-42 (x86_64) 
gcc-c++-4.1.2-42.el5 (x86_64) 
libaio-devel-0.3.106-3.2 (x86_64) << both ARCH's are required. See next item 
libaio-devel-0.3.106-3.2 (i386) << both ARCH's are required. See previous item. 
sysstat-7.0.2-1 (x86_64) 
unixODBC-2.2.12 (x86_64) << both ARCH's are required. See next item and Note:762206.1 
unixODBC-2.2.12 (i386) << both ARCH's are required. See previous item and Note:762206.1 
unixODBC-devel-2.2.12 (x86_64) << both ARCH's are required. See next item and Note:762206.1 
unixODBC-devel-2.2.12 (i386) << both ARCH's are required. See previous item and Note:762206.1

NOTE: If you download unixODBC from ftp://ftp.unixodbc.org/pub/unixODBC/ then the header and library files are distributed together in one gzipped tar file.

RHEL4,OEL4: 
Refer to Note 880942.1

SLES10:- 
Refer to Note 884435.1

SLES11 :- 
Refer to Note 881044.1

Asianux 2.0 
[Oracle, Red Hat] Enterprise Linux 4.0 
(See Note 437123.1):
  • default RPMs (see Note 376183.1)
  • binutils-2.15.92.0.2
  • compat-libstdc++-33-3.2.3
  • compat-libstdc++-33-3.2.3 (32 bit)
  • elfutils-libelf-0.97
  • elfutils-libelf-devel-0.97
  • gcc-3.4.5
  • gcc-c++-3.4.5
  • glibc-2.3.4-2.19
  • glibc-2.3.4-2.19 (32 bit)
  • glibc-common-2.3.4
  • glibc-devel-2.3.4
  • glibc-devel-2.3.4 (32-bit)
  • libaio-0.3.105
  • libaio-0.3.105 (32 bit)
  • libaio-devel-0.3.105
  • libgcc-3.4.5
  • libgcc-3.4.5 (32-bit)
  • libstdc++-3.4.5
  • libstdc++-3.4.5 (32 bit)
  • libstdc++-devel 3.4.5
  • make-3.80
  • sysstat-5.0.5

    Asianux Server 3 
    [Oracle, Red Hat] Enterprise Linux 5.0 
    (see Note 438766.1):

  • default RHEL5 RPMs (see Note 376183.1)
  • default OEL5 RPMs (see Note 401167.1)
  • binutils-2.17.50.0.6
  • compat-libstdc++-33-3.2.3
  • compat-libstdc++-33-3.2.3 (32 bit)
  • elfutils-libelf-0.125
  • elfutils-libelf-devel-0.125
  • gcc-4.1.1
  • gcc-c++-4.1.1
  • glibc-2.5-12
  • glibc-2.5-12 (32 bit)
  • glibc-common-2.5
  • glibc-devel-2.5
  • glibc-devel-2.5-12 (32 bit)
  • libaio-0.3.106
  • libaio-0.3.106 (32 bit)
  • libaio-devel-0.3.106
  • libgcc-4.1.1
  • libgcc-4.1.1 (32 bit)
  • libstdc++-4.1.1
  • libstdc++-4.1.1 (32 bit)
  • libstdc++-devel 4.1.1
  • make-3.81
  • sysstat-7.0.0

    SuSE SLES 10 
    (see Note 457143.1):

  • default-RPMs (see NOTE 386391.1)
  • binutils-2.16.91.0.5
  • compat-libstdc++-5.0.7-22.2
  • gcc-4.1.0
  • gcc-c++-4.1.0
  • glibc-2.4-31.2
  • glibc-32bit-2.4-31.2 (32 bit)
  • glibc-devel-2.4
  • glibc-devel-32bit-2.4 (32 bit)
  • libaio-0.3.104
  • libaio-32bit-0.3.104 (32 bit)
  • libaio-devel-0.3.104
  • libelf-0.8.5
  • libgcc-4.1.0
  • libstdc++-4.1.0
  • libstdc++-devel-4.1.0
  • make-3.80
  • sysstat-6.0.2

    Note: If you did not perform a default Linux installation, you intend to use LDAP, and you want to use the scripts odisrvreg, oidca, or schemasync, then install the Korn shell RPM for your Linux distribution.

    SuSE SLES 11 
    (see Note 1081555.1)

Red Hat Enterprise Linux 3.0: 
Refer to Note 353735.1
  • default RPMs (see Note 376183.1)
  • compat-db 4.0.14-5.1
  • compat-gcc-7.3-2.96.128 (32 bit)
  • compat-gcc-c++-7.3-2.96.128 (32 bit)
  • compat-libstdc++-7.3-2.96.128 (32 bit)
  • compat-libstdc++-devel-7.3-2.96.128 (32 bit)
  • control-center-2.2.0.1-13
  • gcc-3.2.3-47
  • gcc-c++-3.2.3-47
  • gdb-6.1post-1.20040607.52
  • glibc-2.3.2-95.30
  • glibc-common-2.3.2-95.30
  • glibc-devel-2.3.2-95.30
  • glibc-devel-2.3.2-95.20 (32 bit)
  • gnome-libs-1.4.1.2.90-34.2 (32 bit)
  • libaio-0.3.96-3
  • libaio-devel-0.3.96-3
  • libstdc++-3.2.3-47
  • libstdc++-devel-3.2.3-47
  • make-3.79.1-17
  • openmotif-2.2.3-3.RHEL3
  • sysstat-5.0.5-5.rhel3
  • setarch-1.3-1

    [Red Hat,Oracle] Enterprise Linux 4.0: 
    Refer to Note 339510.1

  • default RPMs (see Note 376183.1)
  • binutils-2.15.92.0.2-13.0.0.0.2.x86_64Download here or you can install binutils-2.15.92.0.2-18.x86_64.rpm from RHEL4 Update 3.
  • compat-db-4.1.25-9.x86_64.rpm
  • compat-gcc-32-c++ )see Note 430526.1
    Patch 5240469 to correct bad genoccish file
  • compat-libstdc++-33-3.2.3-47.3.x86_64.rpm
  • compat-libstdc++-33-3.2.3-47.3.i386.rpm
  • control-center-2.8.0-12.x86_64.rpm
  • gcc-3.4.3-47.x86_64.rpm
  • gcc-c++-3.4.3-47.x86_64.rpm
  • glibc-2.3.4-2.9.x86_64.rpm
  • glibc-2.3.4-2.9.i386.rpm
  • glibc-common-2.3.4-2.9.x86_64.rpm
  • glibc-devel-2.3.4-2.9.x86_64.rpm
  • glibc-devel-2.3.4-2.9.i386.rpm
  • glibc-headers-2.3.4-2.9.x86_64.rpm
  • glibc-kernheaders-2.4-9.1.87.x86_64.rpm
  • gnome-libs-1.4.1.2.90-44.1.x86_64
  • libaio-0.3.103-3.i386.rpm
  • libaio-0.3.103-3.x86_64.rpm
  • libgcc-3.4.3-9.EL4
  • libstdc++-3.4.3-22.1.x86_64
  • libstdc++-devel-3.4.3-22.1.x86_64
  • make-3.80-5.x86_64.rpm
  • pdksh-5.2.14-30.x86_64.rpm
  • sysstat-5.0.5-1.x86_64.rpm
  • util-linux-2.12a-16.EL4.23.x86_64 (for raw devices)
  • xorg-x11-deprecated-libs-6.8.1-23
  • xscreensaver-4.18-5.rhel4.2.x86_64.rpm

    [Red Hat,Oracle] Enterprise Linux 5.0 
    Refer to Note 421308.1 
    Since RHEL5/OEL5 are not recognized by runInstaller do: 
    ./runinstaller -ignoreSysPrereqs

  • default RHEL5 RPMs (see Note 376183.1)
  • default OEL5 RPMs (see Note 401167.1)
  • compat-gcc-34-3.4.6-4
  • compat-gcc-34-c++-3.4.6-4
  • compat-libstdc++-33-3.2.3-61.i386.rpm
  • compat-libstdc++-33-3.2.3-61.x86_64.rpm
  • gcc-c++-4.1.1-52.el5.x86_64.rpm and all its dependent packages. 
    The dependent packages are: 
    libstdc++-devel-4.1.1-52.el5.x86_64.rpm 
    glibc-headers-2.5-12.x86_64.rpm 
    glibc-devel-2.5-12.i386.rpm 
    glibc-devel-2.5-12.x86_64.rpm 
    libgomp-4.1.1-52.el5.x86_64.rpm 
    gcc-4.1.1-52.el5.x86_64.rpm
  • libXp-1.0.0-8.i386.rpm
  • sysstat-7.0.0-3.el5.x86_64.rpm
  • util-linux-2.13-0.44.el5.x86_64 (for raw devices)

    SUSE Linux Enterprise Server 9: 
    Refer to Note 365607.1

  • default-RPMs (see NOTE 386391.1)
  • binutils-2.15.90.0.1.1-32.5
  • db1-1.85-85.1
  • gcc-3.3.3-43.24
  • gcc-c++-3.3.3-43.24
  • glibc-2.3.3-98.28
  • glibc-32bit-9-200506071326
  • glibc-devel-2.3.3-98-47
  • glibc-devel-32bit-9-200506062332
  • libaio-0.3.102.1.2
  • libaio-devel-0.3.102.1.2
  • gnome-libs-1.4.1.7-671.1
  • gnuplot-3.7.3-256.1 (sysstat required RPM)
  • libstdc++-3.3.3-43.24
  • libstdc++-devel-3.3.3-43.24
  • make-3.80-184.1
  • orbit-0.5.17-330.1 (gnome-libs required RPM)
  • plotutils-2.4.1-575.1 (sysstat required RPM)
  • pdksh-5.2.14-780.1
  • sysstat-5.0.1-35.1
  • XFree86-libs-4.3.99.902.43.48

    SUSE Linux Enterprise Server 10: 
    Refer to Note 373681.1 
    Since SLES10 is not recognized by runInstaller do: 
    ./runinstaller -ignoreSysPrereqs

  • default-RPMs (see NOTE 386391.1)
  • glibc-devel-2.4-31.2.x86_64.rpm
  • gcc-4.1.0-28.4.x86_64.rpm
  • libstdc++-devel-4.1.0-28.4.x86_64.rpm
  • gcc-c++-4.1.0-28.4.x86_64.rpm
  • glibc-devel-32bit-2.4-31.2.x86_64.rpm
  • libaio-devel-0.3.104-14.2.x86_64.rpm 

    SuSE Linux Enterprise Server 10 special instructions: 1. Execute runInstaller with the -ignoreSysPrereqs option.

    SUSE Linux Enterprise Server 11: 
    Refer to Note:956194.1 for a list of required SLES11 packages 
    Since SLES11 is not recognized by runInstaller do: 
    ./runinstaller -ignoreSysPrereqs

RHEL 3 (Update 2): 
Refer to Note 351679.1
  • default-RPMs (see NOTE 376183.1)
  • make-3.79.1
  • gcc-3.2.3-34
  • glibc-2.3.2-95.20
  • glibc-devel-2.3.2-95.20
  • glibc-devel-2.3.2-95.20 (32 bit)
  • compat-db-4.0.14-5
  • compat-gcc-7.3-2.96.128 (32 bit)
  • compat-gcc-c++-7.3-2.96.128 (32 bit)
  • compat-libstdc++-7.3-2.96.128 (32 bit)
  • compat-libstdc++-devel-7.3-2.96.128 (32 bit)
  • gnome-libs-1.4.1.2.90-34.1 (32 bit)
  • openmotif21-2.1.30-8 (32 bit)
  • setarch-1.3-1
  • libaio-0.3.96-3
  • libaio-devel-0.3.96-3
  • XFree86-libs-4.3.0-62 (32bit)

    RHEL 4: 
    Refer to Note 390900.1 Requires My Oracle Support (MOS) patch 5201236Bug 4387087

  • default-RPMs (see NOTE 376183.1)
  • glibc-kernheaders-2.4-9.1.87 (x86_64)
  • glibc-headers-2.3.4-2.9 (x86_64)
  • glibc-devel-2.3.4-2.9 (x86_64)
  • glibc-devel-2.3.4-2.9 (i386)
  • libstdc++-devel-3.4.3-22.1 (x86_64)
  • gcc-3.4.3-22.1 (x86_64)
  • gcc-c++-3.4.3-22.1 (x86_64)
  • sysstat-5.0.5-1 (x86_64)
     

    Note: 
    openmotif21-2.1.30-11.RHEL4.2 is required to install Oracle demos. 
    GNU Compiler Collection (GCC) 2.96 is not supported on Red Hat Enterprise Linux 4.0. 
    Gcc 3.2.3 is required for OCCI application

    SuSE SLES8 (Service Pack 3 or later):

  • make-3.79.1
  • gcc-3.3.3-43
  • gcc-c++-3.3.3-43
  • glibc-2.2.5-213
  • glibc-32bit-8.1-9
  • glibc-devel-32bit-8.1-9
  • openmotif-2.2.2-124
  • libaio-0.3.96-3
  • libaio-devel-0.3.96-3

    SuSE SLES9:

  • gcc-3.3.3-43
  • gcc-c++-3.3.3-43
  • glibc-2.3.3-98
  • glibc-32bit-9 (Bug 4405422)
  • glibc-devel-32bit-9 (Bug 4405422)
  • libaio-0.3.98-18
  • libaio-devel-0.3.98-18
  • make-3.80
  • openmotif-libs-2.2.2-519.1
RHEL ES/AS 3 
Please refer to Note: 308588.1LD_ASSUME_KERNEL=2.4.19
  • glibc 2.3.2-95.x86_64
  • gcc-3.2.3-24.x86_64
  • gcc-c++-3.2.3-24.x86_64
  • libstdc++-3.2.3-24.i386
  • libstdc++-devel-3.2.3-24.x86_64
  • libstdc++-3.2.3-24.x86_64
  • glibc-devel-2.3.2-95.3.i386 (Foot 1)
  • glibc-2.3.2-95.6.i686
  • make 3.79.1.x86_64
  • gnome-libs-1.4.1.2.90-34.1.i386 (Foot 2)
  • ORBit-0.5.17-10.4.i386
  • audiofile-0.2.3-7.1.i386
  • esound-0.2.28-5.1.i386
  • gtk+-1.2.10-27.1.i386
  • imlib-1.9.13-12.i386
  • libpng10-1.0.13-8.i386
  • libungif-4.1.0-15.i386
  • tcp_wrappers-7.6-34.i386
  • setarch-1.3-1.x86_64
  • libaio-0.3.96-3.x86_64 
    Note:The x86_64 rpms are on the RHEL 3 x86_64 distribution. The i386 rpms are on the RHEL 3 x86 distribution.

    o Footnote 1 
    This package might require the --force option during installation. 
    o Footnote 2 
    This package might require the --force option during installation if 64-bit gnome packages are installed. Oracle recommends that you do not install 64-bit gnome packages if they are not required for other applications.

    RHEL ES/AS 4

    Please refer to Note: 353529.1

  • a "default-RPMs" installation of RHEL AS/ES 4 update 1. Additional RPMs may be needed if a "less-than-default-RPMs" installation of RHEL AS/ES 4 update 1 is performed.
  • compat-gcc-32-3.2.3-47.3.x86_64.rpm
  • compat-gcc-32-c++-3.2.3-47.3.x86_64.rpm
  • glibc-kernheaders-2.4-9.1.87.x86_64.rpm
  • glibc-headers-2.3.4-2.9.x86_64.rpm
  • glibc-devel-2.3.4-2.9.x86_64.rpm
  • libstdc++-devel-3.4.3-22.1.x86_64.rpm
  • glibc-devel-2.3.4-2.9.i386.rpm
  • libaio-0.3.103-3.x86_64.rpm
  • ORBit-0.5.17-14.i386.rpm
  • gnome-libs-1.4.1.2.90-44.1.i386.rpm 
    The x86_64 packages are on the Red Hat Enterprise Linux 4 x86-64 distribution. 
    The i386 packages are also on the Red Hat Enterprise Linux 4 x86-64 distribution.

    SuSE SLES8 (Service Pack 3 or higher)

  • glibc-2.2.5-213.x86_64
  • glibc-32bit-8.1-9.i586
  • glibc-devel-32bit-8.1-9.i586
  • gcc-33-3.3-43.x86_64
  • gcc-33-c++3.3-43.x86_64
  • libstdc++-33-3.3-43.x86_64
  • libstdc++-devel-33-3.3-43.x86_64
  • make-3.79.1-42.x86_64
  • libaio-0.3.15-138.x86_64 (This version of libaio is required for asynchronous I/O.) 
    Note: Create a symbolic link such that /usr/bin/gcc points to /opt/gcc33/bin/gcc. Otherwise the installation fails with relinking errors.

    SuSE SLES9 
    Please refer to Note: 361169.1 
    Set LD_ASSUME_KERNEL=2.4.20

  • compat-2004.7.1-1.2
  • compat-32bit-9-200407011229
  • XFree86-libs-4.3.99.902-43.22
  • XFree86-libs-32bit-9-200407011229
  • libaio-devel-0.3.98-18.4
  • libaio-32bit-9-200407011229
  • libaio-0.3.98-18.4
  • libaio-devel-32bit-9-200407011229
  • glibc-32bit-9-200506071326
  • glibc-devel-32bit-9-200506071326 orarun-1.8-31
      
Linux x86_64 EM64T AMD64 Kernel Settingskernel.shmmni = 4096 
kernel.sem = 250 32000 100 128 
fs.file-max = 6815744 512 x processes (for example 6815744 for 13312 processes_ 
net.ipv4.ip_local_port_range = 9000 65500 
net.core.rmem_default = 262144 
net.core.rmem_max = 4194304 
net.core.wmem_default = 262144 
net.core.wmem_max = 1048576 
kernel.shmall = physical RAM size / pagesize For most systems, this will be the value 2097152. See Note: 301830.1 for more information. 
kernel.shmmax = RAM times 0.5 (or higher at customer's discretion - see Note:567506.1
kernel.shmmni = 4096 
kernel.sem = 250 32000 100 128 
aio-max-nr=1048576
SEMMSL 250 
SEMMNS 32000 
SEMMNI 128 
SEMOPM 100 
SHMMAX RAM times 0.5 (Note 567506.1
SHMMNI 4096 
SHMALL = SHMMAX/pagesize (Note:301830.1
FILE-MAX 6815744 512 * Processes 
IP_LOCAL_PORT_RANGE 9000 65500 
RMEM_DEFAULT 262144 
RMEM_MAX 4194304 
WMEM_DEFAULT 262144 
WMEM_MAX 262144 1048576 
NET.IPV4.TCP_RMEM (RMEM_DEFAULT) (RMEM_DEFAULT) (RMEM_MAX) 
NET.IPV4.TCP_WMEM (WMEM_DEFAULT) (WMEM_DEFAULT) (WMEM_MAX)

To increase the shell limits: 
1. Add the following lines in the /etc/security/limits.conf file: 
oracle soft nproc 2047 
oracle hard nproc 16384 
oracle soft nofile 1024 
oracle hard nofile 65536 
2. Add the following line to the /etc/pam.d/login file, if it does not already exist: 
session required /lib/security/pam_limits.so 
session required pam_limits.so Note 437123.1 
Lines from the Fix section of Note 301665.1 
3. Depending on the oracle user's default shell, make the following changes to the default shell startup file:
For the Bourne, Bash, or Korn shell, add the following lines in the /etc/profile file (or the /etc/profile.local file on SUSE Linux Enterprise Server systems): 
if [ $USER = "oracle" ]; then 
if [ $SHELL = "/bin/ksh" ]; then 
ulimit -p 16384 
ulimit -n 65536 
else 
ulimit -u 16384 -n 65536 
fi 
fi 
For the C shell, add the following lines in the /etc/csh.login file (or the /etc/csh.login.local file on SUSE Linux Enterprise Server systems): 
if ( $USER == "oracle" ) then 
limit maxproc 16384 
limit descriptors 65536 
endif

SEMMSL 250 
SEMMNS 32000 
SEMMNI 128 
SEMOPM 100 
SHMMAX RAM times 0.5 (note:567506.1
SHMMNI 4096 
SHMALL = SHMMAX/pagesize (note:301830.1)
FILE-MAX 65536 
IP_LOCAL_PORT_RANGE 9000 65500 
RMEM_DEFAULT 262144 
RMEM_MAX 2097152 
WMEM_DEFAULT 262144 
WMEM_MAX 262144 1048576 
NET.IPV4.TCP_RMEM (RMEM_DEFAULT) (RMEM_DEFAULT) (RMEM_MAX) 
NET.IPV4.TCP_WMEM (WMEM_DEFAULT) (WMEM_DEFAULT) (WMEM_MAX)
SEMMSL 250 
SEMMNS 32000 
SEMMNI 128 
SEMOPM 100 
SEMVMX 32767 
SHMMAX 2147483648 
One-half the size of your system's physical memory. Check your system for additional restrictions. 
SHMMNI 4096 
SHMALL = SHMMAX/pagesize (note:301830.1
FILE-MAX 65536 
IP_LOCAL_PORT_RANGE 9000 65500 
To use hugepages, or to accommodate the VLM window size on Red Hat Enterprise Linux 4.0, you must increase the default maximum size of the per-process locked memory. To increase the per-process maximum locked memory limit, add the following lines to the /etc/security/limits.conf file, where oracle is the user that administers the database. Refer Note 361468.1
oracle soft memlock 5243000 
oracle hard memlock 5243000
SEMMSL 250 
SEMMNS 32000 
SEMMNI 128 
SEMOPM 100 
SEMVMX 32767 
SHMMAX 2147483648 
One-half the size of your system's physical memory. Check your system for additional restrictions. 
SHMMNI 4096 
SHMALL = SHMMAX/pagesize (note:301830.1
FILE-MAX 65536 
IP_LOCAL_PORT_RANGE 9000 65500
      
Oracle Version11.211.110.210.19.2.09.0.18.1.78.1.68.1.58.0.68.0.5
Linux Itanium OS 
(See Note 225710.1 for supported kernels),(SeeNote 1130325.1for Support Status-Oracle Database on Linux Itanium)and Note 265262.1 for "Things to know about Linux"
NANot Availableo RHEL AS/ES 3.0 (Update 4 or higher) 
2.4.21-20.EL 
o RHEL AS/ES 4.0 (Update 1 or higher) 
2.6.9-11.EL 
o SuSE SLES9 (SP2 or higher) 
2.6.5-199 
o SuSE SLES-10 
o RHEL 5.0 (Note 748378.1) 
2.6.18-8 or higher 
Note: for all Itanium systems using "Montecito" processors, refer tonote:400227.1 for special installation instructions
o RHEL AS/ES 2.1 (Update 6 or higher) 
2.4.18-e52 
o RHEL AS/ES 3.0 (Update 4 or higher) 
2.4.21-27.EL 
o RHEL AS/ES 4.0 (Update 1 or higher) 
2.6.9-11.EL.smp 
o Red Flag Advanced Server 4.0 for Itanium 2 (China and Hong Kong only) 
o SuSE SLES8 (SP4 or later) 
2.4.21-278 
o SuSE SLES9 (SP1 or later) 
2.6.5-7.139 
Note: for all Itanium systems using "Montecito" processors, refer tonote:400227.1 for special installation instructions
o Red Hat Enterprise AS/ES 2.1 
2.4.18-e.14 
o Red Hat Enterprise AS/ES 3.0 
o Red Hat Enterprise AS/ES 4.0 
2.6.9-11 
o SuSE SLES8 
o SuSE SLES9 
o United Linux 1.0 
o Red Flag Advanced Server 4.0 for Itanium 2 (China and Hong Kong only) 
2.4.18-e14.ia64.rpm 
Note: for all Itanium systems using "Montecito" processors, refer tonote:400227.1 for special installation instructions
      
Linux Itanium Disk SpaceNANot Available1.2G Database 
1.5 to 3.5G Install
1.2G Database 
1.5G Software 
1G Companion 
150M-650M Client
4.5G      
Linux Itanium RAMNANot Available1Gb512Mb 
256Mb(Client/Compan)
512Mb      
Linux Itanium swapNANot AvailableIf RAM = 1024MB to 2048Mb 
then 1.5 times RAM 
elseif RAM > 2048MB and < 8192MB 
then match RAM 
else RAM > 8192MB 
then .75 times RAM
1Gb or match RAM 
512Mb(Client/Compan)
1Gb or match RAM      
Linux Itanium tmpNANot Available400Mb400Mb400Mb      
Linux Itanium JDK & JRENANot AvailableJDK 1.4.2_08 is installedJDK 1.4.2_02 is installedo Sun JDK 1.4.1 is installed but is mandatory to patch it to 1.4.2      
Linux Itanium Patches/ 
Packages
NANot AvailableRed Hat Enterprise Linux 3.0:
  • make-3.79.1-17
  • control-center-2.2.0.1-13
  • gcc-3.2.3-47
  • gcc-c++-3.2.3-47
  • gdb-6.1post-1.20040607.52
  • glibc-2.3.2-95.30
  • glibc-common-2.3.2-95.30
  • glibc-devel-2.3.2-95.30
  • glibc-devel-2.3.2-95.20 (32 bit)
  • compat-db-4.0.14-5.1
  • compat-gcc-7.3-2.96.128
  • compat-gcc-c++-7.3-2.96.128
  • compat-libstdc++-7.3-2.96.128
  • compat-libstdc++-devel-7.3-2.96.128
  • gnome-libs-1.4.1.2.90-34.2 (32 bit)
  • libstdc++-3.2.3-47
  • libstdc++-devel-3.2.3-47
  • openmotif-2.2.3-3.RHEL3
  • sysstat-5.0.5-5.rhel3
  • setarch-1.3-1
  • libaio-0.3.96-3
  • libaio-devel-0.3.96-3

    Red Hat Enterprise Linux 4.0:

  • binutils-2.15.92.0.2-10.EL4
  • compat-db-4.1.25-9
  • control-center-2.8.0-12
  • gcc-3.2.3-47 (OCCI does not support 3.4.3)
  • gcc-c++-3.2.3-47 (OCCI does not support 3.4.3)
  • glibc-2.3.4-2
  • glibc-common-2.3.4-2
  • gnome-libs-1.4.1.2.90-44.1
  • libaio-0.3.102-1
  • libstdc++-3.4.3-9.EL4
  • libstdc++-devel-3.4.3-9.EL4
  • make-3.80-5
  • pdksh-5.2.14-30
  • sysstat-5.0.5-1
  • compat-libstdc++-33-3.2.3-47.3 Bug 4605635

    SUSE Linux Enterprise Server 9:

  • gcc-3.3.3
  • gcc-c++-3.3.3
  • glibc-2.3.3
  • libaio-0.3.102-1.2ia64
  • libaio-devel-0.3.102-1.2ia64
  • make-3.80
RHEL ES/AS 2.1 (Update 6 or higher)
  • gcc-2.96-129.7.2
  • gcc-c++-2.96-129.7.2
  • glibc-2.2.4-32.18
  • libaio-0.3.92-1
  • libaio-devel-0.3.92-1
  • libstdc++-2.96-129.7.2
  • libstdc++-devel-2.96-129.7.2
  • make-3.79.1-8
  • openmotif-2.1.30
  • cfs-1.0.11 (mentioned in 10.1.0.4 Release Note but cannot find this rpm)

    RHEL ES/AS 3 (Update 1 or higher)

  • binutils-2.14.90.0.4-35
  • compat-db-4.0.14-5
  • compat-gcc-7.3-2.96.128
  • compat-gcc-c++-7.3-2.96.128
  • compat-libstdc++-7.3-2.96.128
  • compat-libstdc++-devel-7.3-2.96.128
  • control-center-2.2.01-13
  • gcc-3.2.3-20
  • gcc-c++-3.2.3-20
  • glibc-2.3.2-95.3
  • gnome-libs-1.4.1.2.90-34.2
  • make-3.79-1.17
  • openmotif21-2.1.30-8.i386.rpm
  • setarch-1.3-1

    RHEL ES/AS 4 (Update 1 or higher)

  • binutils-2.15.92.0.2-13
  • compat-db-4.1.25-9
  • control-center-2.8.0-12
  • gcc-3.4.3-22.1
  • gcc-c++-3.4.3-22.1
  • glibc-2.3.4-2.9
  • glibc-common-2.3.4-2.9
  • make-3.80-5 
    Note: openmotif21-2.1.30-11.RHEL4.2 is required to install Oracle demos. 
    GNU Compiler Collection (GCC) 2.96 is not supported on Red Hat Enterprise Linux 4.0. 
    Gcc 3.2.3 is required for or OCCI application.

    SUSE SLES8 (Service Pack 4 or higher)

  • gcc-3.2.2-54
  • glibc-2.2.5-230
  • make-3.79.1-328
  • openmotif-2.2.2-522

    SUSE SLES9 (Service Pack 1 or higher)

  • binutils-2.15.90.0.1.1-32.5
  • gcc-3.3.3-43.28
  • gcc-c++-3.3.3-43.28
  • glibc-2.3.3-98.38
  • libaio-0.3.98-18.3
  • libaio-devel-0.3.98-18.3
  • make-3.80-184.1
  • openmotif-libs-2.2.2-519.4
All IA64 OS Versions - for Async I/O functionality to work you need to installPatch 3016968 on top of 9.2.0.4.0 or 9.2.0.5.0

RHEL ES/AS 2.1

  • glibc 2.2.4-29
  • gcc 2.96.0
  • Linux Header Patch 2.4.18 (available from Intel)
  • libaio-0.3.92-1

    RHEL3 

    1. Put gcc296 and g++296 first in $PATH variable by creating the following symbolic links. These are required for the relinking of some Oracle binaries (as root) 
    # mv /usr/bin/gcc /usr/bin/gcc323 
    # mv /usr/bin/g++ /usr/bin/g++323 
    # ln -s /usr/bin/gcc296 /usr/bin/gcc 
    # ln -s /usr/bin/g++296 /usr/bin/g++ 

    2. hostname command should return the fully qualified hostname as shown below: 
    - # hostname 
    - hostname.domainname 

    3. If any Java packages are installed on the system, unset the Java environment variables, for example JAVA_HOME. 

    4. Define and export the environment variable LD_ASSUME_KERNEL before starting the install process: 
    - $ export LD_ASSUME_KERNEL=2.4.19 

    5. Relink error for ins_oemagent.mk - Click ignore and complete the install. Apply thepatch 3119415 

    6. Apply 9.2.0.4 patchset (patch 3095277) for Linux Itanium in order to be certified and supported.

    RHEL4 
    9.2.0.7 patchset is required minimum patchset

  • binutils-2.15.92.0.2-13
  • compat-db-4.1.25-9
  • control-center-2.8.0-12
  • gcc-3.4.3-22.1
  • gcc-c++-3.4.3-22.1
  • glibc-2.3.4-2.9
  • glibc-common-2.3.4-2.9
  • make-3.80-5 
    Define and export the environment variable LD_ASSUME_KERNEL before starting the install process: 
    - $ export LD_ASSUME_KERNEL=2.4.19

    SuSE SLES9 
    The following requirements are needed for a successful installation of Oracle 9iR2 Linux Itanium on SuSE SLES9: 
    1. Apply 9.2.0.5 patchset (patch 3501955). 
    2. After installing 9.2.0.5 patchset you must install patch 4566648 to fix the following 2 issues 
    4566551: BACKING STORE (BSP) NEEDS PROPER ALIGNING FOR SLES9 
    4566614: BSP(BACKING STORE) VALUE SHOULD BE CHECKED BEFORE COPYING THE MEMORY SEGMENT 
    3. There is a known issue, where creation of JavaVM fails during custom DB creation. Please use the workaround described as follows in case of custom Database creation. 

    Remove the following eight shared libraries from $ORACLE_HOME/javavm/admin/ and restore them else where before starting database creation. 
    libjox9oracle_aurora_ncomp_java.so 
    libjox9oracle_aurora_server_tools_loadjava.so
    libjox9oracle_aurora_sqljdecl.so 
    libjox9oracle_net_nt.so 
    libjox9oracle_security_jwallet.so 
    libjox9oracle_sql.so 
    libjox9org_omg_CORBA_2_3_portable.so 
    libjox9sun_security_action.so

      
Linux Itanium Kernel SettingsNANot AvailableNot AvailableSEMMSL 250 
SEMMNS 32000 
SEMMNI 128 
SEMOPM 100 
SHMMAX RAM times 0.5 (Note 567506.1
SHMMNI 4096 
SHMALL = SHMMAX/pagesize (note:301830.1
FILE-MAX 65536 
IP_LOCAL_PORT_RANGE 9000 65500 
RMEM_DEFAULT 262144 
RMEM_MAX 2097152 
WMEM_DEFAULT 262144 
WMEM_MAX 262144 WMEM_MAX 262144 
NET.IPV4.TCP_RMEM (RMEM_DEFAULT) (RMEM_DEFAULT) (RMEM_MAX) 
NET.IPV4.TCP_WMEM (WMEM_DEFAULT) (WMEM_DEFAULT) (WMEM_MAX)
SEMMSL 250 
SEMMNS 32000 
SEMMNI 128 
SEMOPM 100 
SEMVMX 32767 
SHMMAX 2147483648 
One-half the size of your system's physical memory. Check your system for additional restrictions. 
SHMMNI 4096 
SHMALL = SHMMAX/pagesize (note:301830.1
FILE-MAX 65536 
IP_LOCAL_PORT_RANGE 9000 65500 WMEM_MAX 262144 
NET.IPV4.TCP_RMEM (RMEM_DEFAULT) (RMEM_DEFAULT) (RMEM_MAX) 
NET.IPV4.TCP_WMEM (WMEM_DEFAULT) (WMEM_DEFAULT) (WMEM_MAX)
SEMMNI 100 
SEMMNS 256 
SEMMSL 100 
SEMOPM 100 
SEMVMX 32767 
SHMMAX 2147483648 
One-half the size of your system's physical memory. Check your system for additional restrictions. 
SHMMIN 1 
SHMMNI 4096 
SHMSEG 4096
      
Oracle Version11.211.110.210.1
Linux on 64-bit zSeriesNote:1306889.1 Requirements for Installing Oracle 11gR2 on RHEL 5

Note:1290644.1 Requirements for Installing Oracle 11gR2 64-bit on SLES 11
Note:1308859.1 Requirements for Installing Oracle 11gR2 on SLES 10
Not availableNote:415182.1 DB Install Requirements Quick Reference - zSeries based LinuxNote:415182.1 DB Install Requirements Quick Reference - zSeries based Linux
Oracle Version11.211.110.210.19.2.09.0.18.1.78.1.68.1.58.0.68.0.5
Linux on Power PC OS 
(See Note 225710.1 for supported kernels) andNote 265262.1for "Things to know about Linux"
NANot Availableo Red Hat Enterprise Linux AS/ES 5.0 (Update 1 or later) 
2.6.18-53.el5 
o Red Hat Enterprise Linux AS/ES 4.0 (Update 1 or later) 
2.6.9-11.EL 
o SUSE Linux Enterprise Server 9.0 
2.6.5-7.191-pseries64 
o SUSE Linux Enterprise Server 10.0 
o Asianux 2.0

See Note:341507.1 for further information

        
Linux on Power PC Disk SpaceNANot Available1.2G Database 
1.5 to 3.5G Install
        
Linux on Power PC RAMNANot Available1Gb        
Linux on Power PC swapNANot AvailableIf RAM = 1024MB to 2048Mb 
then 1.5 times RAM 
elseif RAM > 2048MB and < 8192MB 
then match RAM 
else RAM > 8192MB 
then .75 times RAM
        
Linux on Power PC tmpNANot Available400Mb        
Linux on Power PC JDK & JRENANot AvailableJDK 1.4.2_08 is installed        
Linux on Power PC Patches/ 
Packages
NANot AvailablePlease refer to Note: 341507.1

Red Hat Enterprise Linux 4.0:

  • binutils-2.15.92.0.2-13
  • compat-libstdc++-33-3.2.3-47.3 (ppc64)
  • compat-libstdc++-33-3.2.3-47.3 (ppc) 
    Fix for: /usr/lib/libstdc++.so.5: No such file or directory (per Rel Notes
    java.lang.ExceptionInInitializerError using OUI Note 427754.1
  • gcc-3.4.3-22.1 (ppc)
  • gcc-ppc32-3.4.3-22.1 (ppc)
  • gcc-c++-3.4.3-22.1 (ppc)
  • gcc-c++-ppc32-3.4.3-22.1 (ppc)
  • glibc-2.3.4-2.9 (ppc64)
  • glibc-2.3.4-2.9 (ppc)
  • glibc-devel-2.3.4-2.9 (ppc)
  • glibc-devel-2.3.4-2.9 (ppc64)
  • libaio-0.3.103-3 (ppc)
  • libaio-0.3.103-3 (ppc64)
  • libaio-devel-0.3.103-3 (ppc)
  • libgcc-3.4.3-22.1 (ppc)
  • libgcc-3.4.3-22.1 (ppc64)
  • libstdc++-3.4.3-22.1 (ppc)
  • libstdc++-devel-3.4.3-22.1 (ppc64)
  • make-3.80-5 (ppc)

    SUSE Linux Enterprise Server 9:

  • gcc-3.3.3-43.34
  • gcc-64bit-9-200505240008
  • gcc-c++-3.3.3-43.34
  • glibc-2.3.3-98.47
  • glibc-64bit-9-200506062240
  • libgcc-3.3.3-43.34
  • libgcc-64-bit-9-200505240008
  • libstdc++-3.3.3-43.34
  • libstdc++-devel-3.3.3-43.34
  • libaio-0.3.102-1.2
  • libaio-64bit-9-200502241152
  • libaio-devel-0.3.102-1.2
  • libaio-devel-64bit-9-200502
  • make-3.80-184.1
  • binutils-2.15.90.0.1.1-32.10
  • binutils-64bit-9-200505240008

    An error is generated while installing Oracle Database 10.2.0.1 on Red Hat Enterprise Linux 4.0 Update 2 or later and SUSE Linux Enterprise Server 9 withservice pack 2 or later. Most of the times, the error is generated when you perform any of the following tasks:

  • While installing Oracle Database 10.2.0.1 after a fresh and complete installation of Red Hat Enterprise Linux 4.0 Update 2
  • While installing Oracle Database 10.2.0.1 after a fresh and complete installation of SUSE Linux Enterprise Server 9 with service pack 2 or later
  • When you start dbca or netca from the command line or Oracle Universal Installer, if Standard installation is selected 
    Workaround: Before installing Oracle Database 10g release 2, verify the contents of the /etc/resolv.conf file. Edit the file to make the following change: 
    Change the line similar to: 
    domain=my.net.com 
    To: 
    search=my.net.com 
    The original /etc/resolve.conf file can be restored after the database installation is complete.

    You must install the IBM XL C/C++ Advanced Edition V7.0 for Linux Runtime Environment Component and XL Optimization Libraries component from the following link: IBM link This URL contains information and installation instructions. All the above installations must to be done before installing Oracle database. On SUSE Linux Enterprise Server 9, install the following components:

  • The RTE component: vacpp.rte.70.sles9.jan2006.update.tar.gz
  • The XL Optimization Libraries: vac.lib.70.sles9.tar 
    On Red Hat Enterprise Linux 4, install the following components:
  • The RTE component: vacpp.rte.70.rhel4.dec2005.update.tar.gz
  • The XL Optimization Libraries: vac.lib.70.rhel4.tar

    Relink of 10.2 fails in Linux on Power After upgrade to RHEL U2. Apply Patch 4767801

        
Linux on Power PC Kernel SettingsNANot AvailableSEMMSL 250 
SEMMNS 32000 
SEMMNI 128 
SEMOPM 100 
SHMMAX RAM times 0.5 (Note 567506.1
SHMMNI 4096 
SHMALL = SHMMAX/pagesize (note:301830.1)
FILE-MAX 65536 
IP_LOCAL_PORT_RANGE 9000 65500 
RMEM_DEFAULT 262144 
RMEM_MAX 2097152 
WMEM_DEFAULT 262144 
WMEM_MAX 262144
        
Oracle Version11.211.110.210.1
Mac OS XNANot AvailableMac OS X Server 10.5.4 (Intel x86-64)

Note: Only 10.2.0.4 is available and certified only on Mac OS X Server 10.5.4 (Intel x86-64)

See the 10.2 Install Guide for MAC OS X (Intel)

Mac OS X Server 10.4(PowerPC)

Mac OS X Server 10.3.9(PowerPC)

Mac OS X Server 10.3.6(PowerPC)

Mac OS X Disk SpaceNANot Available1.2GB (optional pre-configured database)
1.5GB to 3.5GB (software, depending on installation type)
1.2G Database 
1G Software 
1G Companion 
150M-1G Client
Mac OS X RAMNANot Available1GB or more512Mb 
256Mb(Client/Compan)
Mac OS X swapNANot AvailableEqual to RAM (or more)1Gb or match RAM 
512Mb(Client/Compan)
Mac OS X tmpNANot Available400Mb400Mb
Mac OS X JDKNANot AvailableJDK 1.4.2_16 or higherJDK 1.4.2_05 needs to be already installed 
Do this command to verify: 
$ /Library/Java/Home/bin/java -version
Mac OS X Patches/ 
Packages
NANot AvailableXcode 3.0 or later

GNU C compiler (gcc) version 4.0.1 or later (this version of gcc is included in Xcode 3.0 or later)

JDK 1.4.2_16 or higher (with the JNDI extension if you want to use the Oracle JDBC/OCI drivers)

Required Packages:
  • Xcode Tools 1.1 or higher
  • GNU C compiler (gcc) version 3.3 20030304 (Apple Computer, Inc. build 1635) *This version of gcc is included in Xcode Tools 1.2 or higher or in the Dec 2003 gccLongBranch Tools update.
  • X11 for Mac OS X and X11 SDK for Mac OS X (Spatial only)
  • OpenMotif 2.2.3 or higher (Spatial only)
Mac OS X Kernel SettingsNANot AvailableFollowing are the recommended kernel parameters: 

kern.sysv.semmsl 87381 
kern.sysv.semmns 87381 
kern.sysv.semmni 87381 
kern.sysv.semmnu 87381 
kern.sysv.semume 10 
kern.sysv.shmall 2097152 
kern.sysv.shmmax Half the size of physical memory (in bytes) 
kern.sysv.shmmni 4096 
kern.maxfiles 65536 
kern.maxfilesperproc 65536 
net.inet.ip.portrange.first 1024 
net.inet.ip.portrange.last 65000 
kern.corefile core 
kern.maxproc 2068 
kern.maxprocperuid 2068

To improve the performance of the software on Mac OS X systems, you must increase the following shell limits: 

Maximum number of open file descriptors 65536 
Maximum number of processes available to a single user 2068 

To increase the shell limits: 

1. Change directory to the following directory: 

% cd /System/Library/StartupItems/IPServices 

2. Open the IPServices script using any text editor. 

3. Add the following ulimit commands to the start of the StartService function in this script: 

ulimit -Hu 2068 
ulimit -Su 2068 
ulimit -Hn 65536 
ulimit -Sn 65536 

4. Add the same ulimit commands to the /etc/rc script, before the SystemStarter command. 

Note: If you need Mac OS X Server 10.3.6, please go to here: 
Apple URL 
To obtain the latest update for Mac OS X Server 10.3.6, please go to: 
Latest Update

To obtain Mac OS X Server 10.3.9 and the software update, send an email message to oracle_update_request@iservices.apple.com . You will receive an automatic response that contains links to the required patch and to the Mac OS X Server 10.3.9 installation software. 
Note: You do not need to include a message or title with the email.

To install Oracle 10.1.0.5 on MACOSX 10.4 (Tiger OS) PowerPC based systems : 
Install Oracle Database 10.1.0.3 - software only. Please do not create the database. 
Perform a software upgrade from 10.1.0.3 to 10.1.0.5. Invoke OUI from 10.1.0.5 and choose software upgrade only. 
After 10.1.0.5 software upgrade, create database using the Database Configuration Assistant (DBCA)". DBCA is found under $ORACLE_HOME/bin . Just Invoke this executable and choose create database option.

Following are the recommended kernel parameters:

kern.corefile core 
kern.sysv.semmni 87381 
kern.sysv.semmns 87381 
kern.sysv.semmnu 87381 
kern.sysv.semmsl 87381 
kern.sysv.semume 10 
kern.sysv.maxproc 2068 
kern.sysv.maxprocperuid 2068

To improve the performance of the software on Mac OS X systems, you must increase the following shell limits: 

Shell Limit / Hard Limit 
Maximum number of open file descriptors 65536 
Maximum number of processes available to a single user 2068 

To increase the shell limits: 

Change directory to the following directory: 

# cd /System/Library/StartupItems/IPServices 

Open the IPServices script using any text editor. 

Add the following ulimit commands to the start of the StartService function in this script: 

ulimit -Hu 2068 
ulimit -Su 2068 
ulimit -Hn 65536 
ulimit -Sn 65536 

Add the same ulimit commands to the /etc/rc script, before the SystemStarter command.

Oracle Version11.211.110.210.19.2.09.0.18.1.78.1.68.1.58.0.68.0.5

RELATED DOCUMENTS 
--------------------------------------- 

8.0.5 to 10g Installation Guides (for AIX, HP, Sun, Tru64, Linux, MacOSX) 
http://otn.oracle.com/documentation/content.html 
Note 43507.1 ALERT:HP-UX: Patch Levels Advised 
Note 169426.1 How to change kernel mode of IBM AIX 5L (5.1) 
Note 17094.1 TECH: Unix Virtual Memory, Paging & Swapping explained 

Note 189256.1UNIX: Script to Verify Installation Requirements for Oracle 9.x version of RDBMS 
Note 250262.1RDA 4 - Health Check / Validation Engine Guide 
Note 314422.1Remote Diagnostic Agent (RDA) 4 - Getting Started 
Note 1156586.1Master Note For Oracle Database Installation 
Note 1154613.1Master Note For Cloning Oracle Database Server ORACLE_HOME's Using the Oracle Universal Installer (OUI) 
Note 1152016.1Master Note For Oracle Database Upgrades and Migrations 
Note 1151427.1Master Note For Oracle Database Downgrade 
Note 1157464.1Master Note on Oracle Universal Installer (OUI) for installing Oracle Database Software 
Note 1157463.1Master Note For Oracle Database Client Installation 
Note 293369.1Master Note For OPatch 
Note 851598.1Master Note of Linux OS Requirements for Database Server

OS SPECIFIC COMMANDS 
-----------------------------------------

To Find Swap, RAM, and OS Version

OS

SWAP

RAM

OS VERSION

AIX

/usr/sbin/lsps -a

/usr/sbin/lsattr -HE -l sys0 -a realmem

oslevel

HP PA-RISC

swapinfo -a

grep "Physical:" /var/adm/syslog/syslog.log

uname -a

HP Itanium

swapinfo -a

/usr/contrib/bin/machinfo | grep -i Memory

uname -a

Tru64

swapon -s

vmstat -P

/usr/sbin/sizer -v

Solaris

swap -l

/usr/sbin/prtconf | grep -i memory

uname -r

Linux

free

free

uname -a

Mac OS X

# df -h /

# /usr/sbin/system_profiler SPHardwareDataType | grep Memory

# sw_vers

To Determine the Unix Kernel Parameters

OS

LOCATION

COMMAND TO SEARCH

AIX

automatically configured

do 'env' for LINK_CNTRL, 
To determine if AIX is 64 bit enabled do 'genkex | grep 64' or 'genkex | grep call' (see Note 1019106.102)

HP

/stand/system or use SAM -->Kernel Configuration

/etc/sysdef, /usr/sbin/kmtune (kmtune desupported in 11.31, use /usr/sbin/kctune -v), or /usr/sbin/kcweb -F

Tru64

/etc/sysconfigtab

/sbin/sysconfig -q ipc or /sbin/sysconfig -q vm or /sbin/sysconfig -q proc

Solaris

/etc/system

"/etc/sysdef | grep SHM" or "/etc/sysdef | grep SEM"

Linux

/usr/src/linux/include/asm/shmparam.h
/usr/src/linux/include/linux/sem.h 
/proc/sys/kernel/sem 
/proc/sys/kernel/shmall 
/proc/sys/kernel/shmmax 
/proc/sys/kernel/shmmni

ipcs -lms

Mac OS X

/etc/sysctl.conf

"# /usr/sbin/sysctl -a | grep "

O/S Software Installed Packages and Patches

OS

COMMAND FOR PACKAGES

COMMAND FOR PATCHES

AIX

lslpp -w | grep -i "software title" (applies to APARs and PTFs)

/usr/sbin/instfix -ik patch number

HP

Prior to 11: /usr/sbin/swlist -lproduct PH\* hp-ux 11 and after: * /usr/sbin/swlist -l patch \*\.*,c=patch * /usr/contrib/bin/show_patches (from patch PHCO_19550)

/usr/sbin/swlist -l fileset | grep -i

Solaris

/bin/pkginfo -l | grep -i "software title"

/bin/showrev -p

Tru64

/usr/sbin/setld -i | grep -i "software title"

/usr/sbin/setld -i | more
For patchkits:
/usr/sbin/dupatch -track -type kit

Linux
To see if a particular RPM is installed (without the architectur): 
$ rpm -qa | grep "package name" 

To see if a particular RPM is installed (with the architectur): 
$ rpm -qa --qf "%{NAME}-%{VERSION}-%{RELEASE}_%{ARCH}\\n" | grep "package name" 

To see what RPM provided a particular object/library: 
$ rpm -q --whatprovides --qf "%{NAME}-%{VERSION}-%{RELEASE}_%{ARCH}\\n" "full path/library name" 

To see the contents listing of an RPM: 
$ rpm -ql "RPM name" 
For example: $ rpm -ql compat-libstdc++-33-3.2.3-47.3.ppc 
/usr/lib/libstdc++.so.5 
/usr/lib/libstdc++.so.5.0.7
 

Mac OS X

to be supplied later

to be supplied later

To Check if an OS is 64 bit Capable or not

OSCOMMANDRESULTS

Aix

lslpp -L | grep 64bitIt should return "bos.64bit"
HPgetconf KERNEL_BITSIt should return "64"
Solaris/bin/isainfo -kvIf the isainfo command does not exist it is not 64-bit. It should return "64-bit sparcv9 kernel modules"

To Check version of Compiler

COMPILERCOMMAND

C/C++

do a "which cc", then cd to the directory it is in, then do a "what cc" 
except for Linux, on Linux do a "rpm -qa | grep egcs
COBOLcd $COBDIR and do "more cobver"
Fortrando a "which f77", then cd to directory it is in, then do a "what f77"

CHANGE HISTORY


===============
  • 1
    点赞
  • 0
    评论
  • 0
    收藏
  • 打赏
    打赏
  • 扫一扫,分享海报

参与评论 您还未登录,请先 登录 后发表或查看评论
©️2022 CSDN 皮肤主题:编程工作室 设计师:CSDN官方博客 返回首页

打赏作者

lixora

你的鼓励将是我创作的最大动力

¥2 ¥4 ¥6 ¥10 ¥20
输入1-500的整数
余额支付 (余额:-- )
扫码支付
扫码支付:¥2
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值